﻿//定义【全局变量】
//var domain= "http://zhongkexiche.com28.cn/";
//var domain= "http://192.168.0.120/zhongkexiche/";
//var domain= "http://192.168.0.111/zhongkexiche/";
var domain= "http://www.youxishequ.com28.cn:8888/";
//判断平台
var u = navigator.userAgent;
var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Adr') > -1; //android终端
var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
var ua = navigator.userAgent.toLowerCase();

var basePath = domain + "servlet/";

var longitude = 114.41764;//经度
var latitude = 30.488486;//纬度

var platform = 2;//平台标志：1电脑端；2微信端；3APP安卓端；4APP苹果端
if (ua.match(/MicroMessenger/i) == "micromessenger") {//微信端
    platform = 2;
}else{
    if(isAndroid){
        platform = 3;
    }else if(isiOS){
        platform = 4;
    }
}

//获取当前位置经纬度
var getLngLat = function() {
    if (ua.match(/MicroMessenger/i) == "micromessenger") {//微信端
        var nowUrl = window.location.href; //当前页面的URL
        var url = basePath + "WeixinServlet";
        var jsonData = {
            'operation': "getConfig",
            'url': nowUrl
        };
        var jsonRet = ajaxSubmit(url, jsonData);

        wx.config({ //通过config接口注入权限验证配置
            //debug: true,
            // 开启调试模式,调用的所有api的返回值会在客户端alert出来，若要查看传入的参数，可以在pc端打开，参数信息会通过log打出，仅在pc端时才会打印。
            appId: jsonRet.APPID,
            // 必填，公众号的唯一标识
            timestamp: jsonRet.timestamp,
            // 必填，生成签名的时间戳
            nonceStr: jsonRet.nonceStr,
            // 必填，生成签名的随机串
            signature: jsonRet.signature,
            // 必填，签名，见附录1
            jsApiList: ['getLocation','hideOptionMenu','hideAllNonBaseMenuItem'] // 必填，需要使用的JS接口列表，所有JS接口列表见附录2
        });
        wx.ready(function () { //通过ready接口处理成功验证
            //var latitude,longitude;
            wx.getLocation({ //获取地理位置接口
                type: 'wgs84',
                // 默认为wgs84的gps坐标，如果要返回直接给openLocation用的火星坐标，可传入'gcj02'
                success: function (res) {
                    latitude = res.latitude; // 纬度，浮点数，范围为90 ~ -90
                    longitude = res.longitude; // 经度，浮点数，范围为180 ~ -180。
                    //var speed = res.speed; // 速度，以米/每秒计
                    //var accuracy = res.accuracy; // 位置精度

					//GPS坐标转百度地图坐标
					var url_baidu = "http://api.map.baidu.com/geoconv/v1/?coords=" + longitude + "," + latitude + "&ak=5gPYoy7XePMwewinq05O0V4cS8BcYBGv";
					$.ajax({
						url: url_baidu,
						type: 'POST',
						data: {},
						async: false,
						cache: false,
						dataType: "jsonp",
						jsoncallback:'kuayu',
						success: function (data,status,xhr) {
						if(data.status == 0){
						var resultList = data.result;
						if(resultList.length > 0){
						latitude = resultList[0].y;
						longitude = resultList[0].x;
						}
						}
						},
						error: function (returndata) {
							//alert(returndata);
						}
					});
					
                }
            });
			
			wx.hideOptionMenu();//隐藏右上角菜单
			wx.hideAllNonBaseMenuItem();//隐藏所有非基础按钮接口
			
        });
        wx.error(function (res) { //通过error接口处理失败验证
            // config信息验证失败会执行error函数，如签名过期导致验证失败，具体错误信息可以打开config的debug模式查看，也可以在返回的res参数中查看，对于SPA可以在这里更新签名。
            //alert(res);
        });
		
    }
}();

//显示水印提示框,重写alert提示框
function alert(tip, hideTime) {
    var hTime = 2000;
    if (typeof(hideTime) != "undefined" && hideTime != null && hideTime != "") {
        hTime = hideTime;
    }
    var value = $('#tskDiv').length;
    if (value <= 0) {
        var html = "<div class='tsk' id='tskDiv'><a href='javascript:void(0)' id='tskTxt' style='color:#FFFFFF'>" + tip + "</a></div>"
        $("body").append(html);
    } else {
        $("#tskTxt").html(tip);
        $("#tskDiv").show();
    }
    setTimeout(function () {
            $("#tskDiv").fadeOut("slow");
        },
        hTime);
}

//图片路径处理
function getHttpOrlocalPic(pic) {
    if (pic != null && pic != "") {
        if (pic.indexOf("http://") < 0 && pic.indexOf("https://") < 0) {
            pic = domain + pic;
        }
    } else {
        pic = "images/pic_default.png";
    }
    return pic;
}
function tipalert(tip, hideTime) {
    var hTime = 2000;
    if (typeof(hideTime) != "undefined" && hideTime != null && hideTime != "") {
        hTime = hideTime;
    }
    var value = $('#tskDiv').length;
    if (value <= 0) {
        var html = "<div class='tiptsk' id='tskDiv'><a href='javascript:void(0)' id='tskTxt' style='color:#FFFFFF'>" + tip + "</a></div>"
        $("body").append(html);
    } else {
        $("#tskTxt").html(tip);
        $("#tskDiv").show();
    }
    setTimeout(function () {
            $("#tskDiv").fadeOut("slow");
        },
        hTime);
}