
app.controller('blockController', function ($scope, Common, Http, $state, $location, $ionicTabsDelegate, $rootScope, $timeout,$stateParams) {
    var uid = localStorage.getItem("uid_local");//用户加密的id
    var host = Common.curState();
    $scope.host = host;
    var unionId="";
    $scope.readStatus=false;
    if(uid=="" || uid==null){
    location.href="#/user/login";
    }else{
        //获取用户信息
        var urlInfo= basePath + "mineServlet";
        var dataJsonInfo = {
            'operation': 'userinfo',
            'u': uid,
            'sub_': 1
        };
        Http.post(urlInfo,dataJsonInfo,true).success(function (data) {
           console.log(data);
            if(data.block=="" || data.block==0){
                alert("您还没有公会");
                location.href="#/mine/mine";
            }else{
                //获取本区未读私信数
                var urlletter= basePath + "dayNewsListServlet";
                var dataJsonletter = {
                    'uid': uid,
                    'type': '2',
                    'unionId': data.union,
                    'block': data.type,
                    'operation': 'letterNumber'
                };
                Http.post(urlletter,dataJsonletter,true).success(function (data) {
                     //console.log(data);
                    $scope.num=data;
                    if($scope.num > 0){
                        $scope.readStatus=true;
                    }
                });
            }

        });

    }

});
//本区帖子列表
app.controller('blockPostListController', function ($scope, Common, Http, $state, $location, $ionicTabsDelegate, $rootScope, $timeout,$stateParams) {
    var uid = localStorage.getItem("uid_local");//用户加密的id
    $scope.host = Common.curState();
    $scope.domain=domain;
    var unionId="";
    //上拉加载初始化 开始方法为真
    $scope.page = 1;
    $scope.canLoadMore = false;
    $scope.pagecount = 0;
    if(uid=="" || uid==null){
        location.href="#/user/login";
    }else{
        //获取用户信息
        var urlInfo= basePath + "mineServlet";
        var dataJsonInfo = {
            'operation': 'userinfo',
            'u': uid,
            'sub_': 1
        };
        Http.post(urlInfo,dataJsonInfo,true).success(function (data) {
            //console.log(data);
            $scope.block=data.block;
            var myunion=data.union;
            $scope.start_level=data.star_level;
            var platform=data.type;
            if(data.block=="" || data.block==0){
                alert("您还没有区组！");
                location.href="#/mine/mine";
            }else{
                $scope.canLoadMore = true;
                $scope.moreinfo = function () {
                    //获取本区帖子列表
                    var urlBlock = basePath + "dayNewsListServlet";
                    var dataJsonBlock = {
                        'page': $scope.page,
                        'platform': platform,
                        'uid': uid,
                        'area':  $scope.block,
                        'type': '2',
                        'union':myunion,
                        'operation': 'blockPostList'
                    };

                    var data = ajaxSubmit(urlBlock, dataJsonBlock);
                    console.log(data);
                    if (data.code == "200" ) {
                        $scope.postList = data.areaPostList;
                    }
                    if(data.code == "200"){
                        $scope.pagecount = data.pageCount;
                    }
                    if ($scope.pagecount <= $scope.page) {
                        $scope.canLoadMore = false;

                    } else {
                        $scope.canLoadMore = true;
                    }

 $scope.$broadcast('scroll.infiniteScrollComplete');
                }
                $scope.loadmore = function () {//上拉加载调用函数
                    $scope.moreinfo();
                    $scope.page = $scope.page + 1;

                }

            }

        });

    }

});
//本区私信
app.controller('blockLetterController', function ($scope, Common, Http, $state, $location, $ionicTabsDelegate, $rootScope, $timeout,$stateParams) {
    var uid = localStorage.getItem("uid_local");//用户加密的id
    $scope.host = Common.curState();
    $scope.domain=domain;
    var unionId="";

    if(uid=="" || uid==null){
        location.href="#/user/login";
    }else{
        //获取用户信息
        var urlInfo= basePath + "mineServlet";
        var dataJsonInfo = {
            'operation': 'userinfo',
            'u': uid,
            'sub_': 1
        };
        Http.post(urlInfo,dataJsonInfo,true).success(function (data) {
            $scope.union_level=data.union_level;//公会身份
            $scope.block=data.block;
            $scope.start_level=data.star_level;
            if(data.block=="" || data.block==0){
                alert("您还没有区组！");
                location.href="#/mine/mine";
            }else{

                var urlLetter = basePath + "getMessageServlet";
                var dataJsonLetter = {
                    'unionId': data.union,
                    'uid': uid,
                    'type': '2',
                    'operation': 'getUnionLetter'
                };
                Http.post(urlLetter, dataJsonLetter, true).success(function (data) {
                    $scope.letterPerson=data.letterPersonList;
                    //console.log(data);
                });
            }

        });

    }

});
//本区招聘
app.controller('blockJobController', function ($scope, Common, Http, $state, $location, $ionicTabsDelegate, $rootScope, $timeout,$stateParams) {
    var uid = localStorage.getItem("uid_local");//用户加密的id
    $scope.host = Common.curState();
    //上拉加载初始化 开始方法为真
    $scope.page = 1;
    $scope.canLoadMore = false;
    $scope.pagecount = 0;

    $scope.domain=domain;
    var id=$stateParams.id;//1区 2世界
    var unionId="";
    if(uid=="" || uid== null){
        location.href="#/user/login";
    }else{
        //获取用户信息
        var urlInfo= basePath + "mineServlet";
        var dataJsonInfo = {
            'operation': 'userinfo',
            'u': uid,
            'sub_': 1
        };
        Http.post(urlInfo,dataJsonInfo,true).success(function (data) {
            //console.log(data);
            $scope.union_level=data.union_level;//公会身份
            $scope.start_level=data.star_level;
            var myblocks=data.block;
            if(data.block=="" || data.block==0){
                alert("您还没有区组！");
                location.href="#/mine/mine";
            }else{
                //获取招聘信息列表
                $scope.canLoadMore = true;
                $scope.moreinfo = function () {
                    var urlBlock = basePath + "dayNewsListServlet";
                    var dataJsonBlock = {
                        'type': id,
                        'area': myblocks,
                        'operation': 'recruitment'
                    };

                    var data = ajaxSubmit(urlBlock, dataJsonBlock);
                   // console.log(data);
                    $scope.radio=data.areaPostList;
                    if (data.code == "200" ) {
                        $scope.postList = data.areaPostList;
                    }
                    if(data.code == "200"){
                        $scope.pagecount = data.pageCount;
                    }
                    if ($scope.pagecount <= $scope.page) {
                        $scope.canLoadMore = false;

                    } else {
                        $scope.canLoadMore = true;
                    }
$scope.$broadcast('scroll.infiniteScrollComplete');
                }
                $scope.loadmore = function () {//上拉加载调用函数
                    $scope.moreinfo();
                    $scope.page = $scope.page + 1;

                }

                $('#pp').keydown(function(e){
                    var content=$("#search").val();
                    //console.log(content);
                    var urlBlock = basePath + "dayNewsListServlet";
                    var dataJsonBlock = {
                        'type': id,
                        'search':content,
                        'area': myblocks,
                        'operation': 'recruitment'
                    };
                    console.log(dataJsonBlock);
                    Http.post(urlBlock, dataJsonBlock, true).success(function (data) {
                       // console.log(data);
                        $scope.radio=data.areaPostList;
                    });
                });
            }

        });

    }

});
//招聘详情
app.controller('JobDetailController', function ($scope, Common, Http, $state, $location, $ionicTabsDelegate, $rootScope, $timeout,$stateParams) {
    var uid = localStorage.getItem("uid_local");//用户加密的id
    $scope.host = Common.curState();

    $scope.domain=domain;
    var id=$stateParams.id;//1区 2世界

    $scope.id=id;
    var postId=$stateParams.postId;//帖子的id
    $scope.link=function(){
        window.location.href = $scope.host+"editzp/"+postId;
    }
    $scope.uid=uid;
    var array = uid.split(".");

    $scope.mine=array[0];
    var unionId="";
    if(uid=="" || uid== null){
        location.href="#/user/login";
    }else{
        //获取用户信息
        var urlInfo= basePath + "mineServlet";
        var dataJsonInfo = {
            'operation': 'userinfo',
            'u': uid,
            'sub_': 1
        };
        Http.post(urlInfo,dataJsonInfo,true).success(function (data) {
            //console.log(data);
            $scope.union_level=data.union_level;//公会身份
            $scope.start_level=data.star_level;
            if(data.block=="" || data.block==0){
                alert("您还没有区组！");
                location.href="#/mine/mine";
            }else{
        //招聘帖子详情
                var urlLetter = basePath + "getMessageServlet";
                var dataJsonLetter = {
                    'postId': postId,
                    'operation': 'jobDetail'
                };
                Http.post(urlLetter, dataJsonLetter, true).success(function (data) {
                    $scope.post=data.recruitDetail[0];
                   // console.log(data);
                });
            //阅读招聘帖子
                var urlRead= basePath + "readDayNewsServlet";
                var dataJsonRead = {
                    'uid': uid,
                    'newsId': postId,
                    'operation': 'readRecruit'
                };
                Http.post(urlRead,dataJsonRead,true).success(function (data) {
                });

                //删除招聘
                $scope.del=function(){
                    var urldel= basePath + "setUnionMessageServlet";
                    var dataJsondel = {
                        'newsId': postId,
                        'operation': 'delJob'
                    };
                    Http.post(urldel,dataJsondel,true).success(function (data) {
                        alert(data.message);
                        if(id==1){
                            window.location.href = $scope.host+"blockJob/"+id;
                        }else if(id==2){
                            window.location.href = $scope.host+"wordJob/"+id;
                        }

                    });
                }
            }

        });

    }

});
//发布招聘信息
app.controller('recruitmentController', function ($scope, Common, Http, $state, $location, $ionicTabsDelegate, $rootScope, $timeout,$stateParams) {
    var uid = localStorage.getItem("uid_local");//用户加密的id
    $scope.host = Common.curState();

    $scope.domain=domain;
    var id=$stateParams.id;//1区 2世界
    $scope.id=id;
    $scope.set={title:"",content:""};
    $scope.uid=uid;
    var array = uid.split(".");

    $scope.mine=array[0];
    var unionId="";
    if(uid=="" || uid== null){
        location.href="#/user/login";
    }else{
        //获取用户信息
        var urlInfo= basePath + "mineServlet";
        var dataJsonInfo = {
            'operation': 'userinfo',
            'u': uid,
            'sub_': 1
        };
        Http.post(urlInfo,dataJsonInfo,true).success(function (data) {
            //console.log(data);
            $scope.union_level=data.union_level;//公会身份
            $scope.start_level=data.star_level;
            $scope.integral=data.integral;//剩余可用积分
            $scope.gag=data.gag;
          //  console.log($scope.integral);
            if(data.block=="" || data.block==0){
                alert("您还没有区组！");
                location.href="#/mine/mine";
            }else{
                //发布招聘信息
                $scope.propose=function(){
                    if($scope.gag==1){
                        alert("您已被禁言！");
                        return;
                    }else if($scope.set.title==""){
                        alert("请输入标题！");
                        return;
                    }else if($scope.set.content==""){
                        alert("请输入招聘信息！");
                        return;
                    }else if(id==2 && $scope.start_level<=1){
                        alert("您没有发布权限！");
                        return;
                    }else{
                        var urlLetter = basePath + "setUnionMessageServlet";
                        var dataJsonLetter = {
                            'type': id,
                            'uid': $scope.uid,
                            'unionId':data.union,
                            'block':data.block,
                            'platform':data.type,
                            'title':encodeURI($scope.set.title),
                            'content':encodeURI($scope.set.content),
                            'operation': 'recruitment'
                        };
                        //console.log(dataJsonLetter);
                        Http.post(urlLetter , dataJsonLetter, true).success(function (data) {
                            alert(data.message);
                           // console.log(data);
                            if(id == 1){
                                window.location.href = $scope.host+"blockJob/"+id;
                            }else if(id == 2){
                                window.location.href = $scope.host+"wordJob/"+id;
                            }
                        });
                    }
                }

            }

        });

    }

});