app.controller('registerController', function ($scope, Common, $rootScope, $ionicTabsDelegate, $interval) {
        var host = Common.curState();
        $scope.host = host;
        skip = function (link) {
            window.location.href = $scope.host + link;
        }
        $scope.formdata = {counts: 0, time: "获取验证码"};
        $scope.checkcode = "";
        var InterValObj; //timer变量，控制时间
        var count = 50; //间隔函数，1秒执行
        var curCount;//当前剩余秒数
        $scope.sendMsg = function () {
            var txtMobile = $("#txtMobile").val();
            var yzRetJson = ajaxSubmit(basePath + "UserServlet", {'username': txtMobile, operation: "userUniqueCheck"});
            var codeYz = yzRetJson.code;
            if (codeYz != 200) {
                var message = yzRetJson.message;
                alert(message);
                return;
            }
            if (!yzPhone(txtMobile)) {
                alert("请输入有效的手机号");
                return;
            } else {
                yzRetJson = ajaxSubmit(basePath + "SendSMS", {'username': txtMobile, operation: "getSms"});
                var checkcode = yzRetJson.code;
                if (checkcode == "200") {
                    $scope.checkcode = yzRetJson.smsmd5;
                    curCount = count;
                    $("#yanzheng").removeAttr('onclick');
                    //InterValObj = window.setInterval(SetRemainTime, 1000); //启动计时器，1秒执行一次
                    InterValObj = $interval(function () {
                        SetRemainTime();
                    }, 1000);
                } else {
                    alert(yzRetJson.message);
                }

            }
        }
        SetRemainTime = function () {
            if (curCount == 0) {
                $scope.formdata.counts = 0;
                window.clearInterval(InterValObj);//停止计时器
                // $("#yanzheng").attr("onclick","hqyzm();");//启用按钮
                //$("#yanzheng").text("获取验证码");
            }
            else if (curCount > 0) {

                $scope.formdata.counts = 1;
                curCount--;
                $scope.formdata.time = curCount + "秒后重新发送";

                //$("#yanzheng").text(curCount + " 秒");
            }
        }


        $scope.register = function () {
            //验证手机号格�?
            var txtMobile = $("#txtMobile").val();
            if (!yzPhone(txtMobile)) {
                alert("请输入有效的手机");
                return;
            }
            //验证手机号是否存在
            var yzRetJson = ajaxSubmit(basePath + "UserServlet", {'username': txtMobile, operation: "userUniqueCheck"});
            var codeYz = yzRetJson.code;
            if (codeYz != 200) {
                var message = yzRetJson.message;
                alert(message);
                return;
            }

            var password = $("#txtPassword").val();
            if (!yzLogPass(password)) {
                alert("请输入有效的登录密码");
                return;
            }
            var passwordconfirm = $("#txtPasswordConfirm").val();
            if (passwordconfirm == "") {
                alert("请确认登录密码");
                return;
            }
            if (password != passwordconfirm) {
                alert("两次密码不一致");
                return;
            }
            var mobileCode = $("#mobileCode").val();
            if ($.md5(mobileCode) != $scope.checkcode) {
                alert("请输入正确验证码");
                return;
            }
            password = $.md5(password);
            var url = basePath + "UserServlet";
            var dataJson = {
                'sub_': 1,
                'username': txtMobile,
                'password': password,
                'platform': 2,
                'operation': "userRegisterSubmit"
            };
            var subRetJson = ajaxSubmit(url, dataJson);
            var code = subRetJson.code;
            var coupon_status = subRetJson.coupon_status;
            var message = subRetJson.message;

            if (coupon_status == "1") {//获得了洗车券
                alert('注册成功，您获得洗车券一张。');
            } else {
                alert(message);
            }

            if (code == 200) {
                $scope.openModal();
                setTimeout(function () {
                    $rootScope.hideTabs = ' ';
                    $ionicTabsDelegate.select(0);
                }, 500);

            }
        }
    })

    .controller('myBalanceController', function ($scope, Common, zkxcService, $timeout, Http, $ionicScrollDelegate, $rootScope) {
        var host = Common.curState();
        $scope.host = host;
        zkxcService.checkLogin(host + "myBalance", host + "login", "", $scope)//验证登录
        var u = localStorage.getItem("uid_local");
        $scope.skip = function (link) {
            window.location.href = $scope.host + link;
        }
        $("#nowPageMore").val("0");
        //定义参数
        $scope.canLoadMore = {code: true};
        $scope.accountDetailList = [];
        $scope.myBalance = {balance: "10"};
        //获取账户明细
        accountDetail = function (more) {
            var nowPageMore = $("#nowPageMore").val();
            nowPageMore = parseInt(nowPageMore);
            var url = basePath + "AccountDetailServlet";
            var toPage = nowPageMore;
            if (more == "more") {
                toPage = nowPageMore + 1;
            }
            var dataJson = {'toPage': toPage, 'operation': 'BalanceDetail', 'u': u};
            //异步加载数据。。。。。。。�
            Http.post(url, dataJson, true).success(function (JSONObjRet) {
                //console.log("JSONObjRet:"+JSON.stringify(JSONObjRet));
                $scope.myBalance.balance = JSONObjRet.balance;
                $rootScope.accountmont = JSONObjRet.balance;
                var JSON_list = JSONObjRet.accountDetailList;
                var pageCount = JSONObjRet.pageCount;
                pageCount = parseInt(pageCount);
                var recount = JSONObjRet.recount;
                recount = parseInt(recount);
                var showPage = JSONObjRet.showPage;
                showPage = parseInt(showPage);
                $("#nowPageMore").val(showPage);
                var code = JSONObjRet.code;
                if (code == "200" && JSON_list.length > 0) {
                    for (var i = 0; i < JSON_list.length; i++) {
                        var title = JSON_list[i].title;
                        var intime = JSON_list[i].intime;
                        var sum = JSON_list[i].sum;
                        var curJson = {title: title, intime: intime, sum: sum};
                        $scope.accountDetailList.push(curJson);
                    }
                    $ionicScrollDelegate.resize();
                    if (showPage == pageCount || recount <= 0) {
                        $scope.canLoadMore.code = false;
                        $("#btnLoadMore").hide();
                    } else {
                        $timeout(function () {
                            $scope.canLoadMore.code = true;
                        }, 200);
                    }
                }
            });
        }

        $scope.doRefresh = function () {
            $("#nowPageMore").val("0");
            $scope.accountDetailList = [];
            accountDetail();//
            $scope.$broadcast('scroll.refreshComplete');
        };

        $scope.loadMore = function () {
            $scope.canLoadMore.code = false;
            accountDetail("more");//
            $scope.$broadcast('scroll.infiniteScrollComplete');
        };
    })

    .controller('CommonProblemController', function ($scope, Common, Http) {
        var host = Common.curState();
        $scope.host = host;
        $scope.skip = function (link) {
            window.location.href = $scope.host + link;
        }
        //定义参数
        $scope.CommonProblemlist = [];
        var url = basePath + "AccountDetailServlet";
        var dataJson = {'operation': 'CommonProblem'};
        //异步加载数据。。。。。。。�
        Http.post(url, dataJson, true).success(function (JSON_list) {
            if (JSON_list.length > 0) {
                for (var i = 0; i < JSON_list.length; i++) {
                    var ntitle = JSON_list[i].ntitle;
                    var nid = JSON_list[i].nid;
                    var url = host + "newsDetail/" + nid;
                    var curJson = {ntitle: ntitle, url: url};
                    $scope.CommonProblemlist.push(curJson);
                }
            }
        });
    })

    .controller('RechargeController', function ($scope, Common, Http, $timeout, $ionicModal) {//我的余额-充值+选择支付方式-20160918-ty
        var host = Common.curState();
        $scope.host = host;
        $scope.skip = function (link) {
            window.location.href = $scope.host + link;
        }

        //初始化参数，支付方式选择名称、充值金额
        $scope.RechargeData = {"pay_style_sel": '请选择支付方式', "pay_style_id": 'pay_style_id', "summoney": ''};

        //选择支付方式-start-这种方式不需要配置路由和控制器
        $ionicModal.fromTemplateUrl('templates/mine/SelectPayStyle.html', {
            scope: $scope
        }).then(function (modal) {
            $scope.modal = modal;
        });
        $scope.closeModal = function () {
            //查询选中的支付方式
            var pay_style_id = $("[name='pay_style_id']:checked").val();
            var name = $("[name='pay_style_id']:checked").attr("name_pay");

            if (typeof(pay_style_id) != "undefined" && pay_style_id != null && pay_style_id != "") {
                $scope.RechargeData.pay_style_id = pay_style_id;
            }
            if (typeof(name) != "undefined" && name != null && name != "") {
                $scope.RechargeData.pay_style_sel = name;
            }

            $scope.modal.hide();
        }

        //请求所有支付方式接口
        $scope.PayStylelist = [];//初始化循环列表
        var url = basePath + "PublicServlet";
        var dataJson = {'operation': '1993'};
        Http.post(url, dataJson, true).success(function (jsonRet) {
            if (jsonRet != null && jsonRet.code == 200) {
                var JSON_list = jsonRet.list;
                if (JSON_list.length > 0) {
                    for (var i = 0; i < JSON_list.length; i++) {
                        var name = JSON_list[i].name;
                        var pay_style_id = JSON_list[i].pay_style_id;
                        var curJson = {'name': name, 'pay_style_id': pay_style_id};
                        $scope.PayStylelist.push(curJson);
                    }
                }
            }
        });

        //选择支付方式-end

        //确认支付点击
        $scope.recharge = function (id) {

            var u = localStorage.getItem("uid_local");
            if (typeof(u) == "undefined" || u == null || u == "") {
                alert("尚未登录。");
                return;
            }

            //参数验证
            var pay_style_id = $("[name='pay_style_id']:checked").val();
            if (typeof(pay_style_id) == "undefined" || pay_style_id == null || pay_style_id == "" || pay_style_id == '0') {
                alert("请选择支付方式");
                return;
            }
            var summoney = $("#summoney").val();
            if (summoney == "") {
                alert("请输入充值金额");
                return;
            }
            if (isNaN(summoney)) {
                alert("请输入有效的充值金额");
                return;
            }
            var summoneyFloat = parseFloat(summoney);
            if (summoneyFloat <= 0) {
                alert("充值金额必须大于0");
                return;
            }

            showTankuang('确认提交并支付吗？');
            $("#querenBtnRollback").click(function () {
                $("#tankuangId").remove();
                $(".reveal-modal-bg").remove();

                var url = basePath + "RechargeServlet";
                var dataJson = {
                    'platform': platform,
                    'operation': '1993',
                    'u': u,
                    'pay_style_id': pay_style_id,
                    'summoney': summoney
                };
                Http.post(url, dataJson, true).success(function (dataJsonRet) {//请求充值接口、生成充值订单
                    var code = dataJsonRet.code;
                    var message = dataJsonRet.message;
                    if (code == 200) {
                        var summoney_db = dataJsonRet.summoney;
                        var pay_style_id_db = dataJsonRet.pay_style_id;
                        var onumber_db = dataJsonRet.onumber;

                        if (pay_style_id_db == "1") {//公众号微信支付
                            //跳转支付
                            location.href = "http://v1.vcome.cc/Module/System/Service/getopenid.aspx?up=73&backto=" + domain + "wx_pay/webPay.jsp?o=" + onumber_db
                        }

                    } else {
                        alert(message);
                    }
                });
            });

        }
    })

    .controller('newsDetailController', function ($scope, Common, Http, $stateParams) {
        var host = Common.curState();
        $scope.host = host;
        $scope.skip = function (link) {
            window.location.href = $scope.host + link;
        }
        //定义参数
        $scope.newsDetail = {ntitle: "", content: ""};
        var nid = $stateParams.nid;
        var url = basePath + "AccountDetailServlet";
        var dataJson = {'nid': nid, 'operation': 'newsDetail'};
        //异步加载数据。。。。。。。�
        Http.post(url, dataJson, true).success(function (JSONObjRet) {
            if (JSONObjRet != null && JSONObjRet != "") {
                $scope.newsDetail.ntitle = JSONObjRet.ntitle;
                $scope.newsDetail.content = JSONObjRet.content;
                var contentPathBasc = basePath + "attached"
                $scope.newsDetail.content = $scope.newsDetail.content.replace(/\/attached/g, contentPathBasc);//编辑器图片路径处理
                $("#content").html($scope.newsDetail.content);
            }
        });
    })

    .controller('informationController', function ($scope, Common, Http, $timeout, $ionicScrollDelegate, $rootScope, zkxcService, $ionicTabsDelegate) {
        var host = Common.curState();
        $scope.host = host;
        zkxcService.checkLogin(host + "logPassMod", host + "login", "", $scope)//验证登录
        $scope.skip = function () {
            //window.location.href=$scope.host+link;
            $rootScope.hideTabs = ' ';
            $ionicTabsDelegate.select(0);
        }
        $("#nowPageMore").val("0");
        //定义参数
        $scope.canLoadMore = {code: true};
        $scope.information = [];//消息列表
        var u = localStorage.getItem("uid_local");
        information = function (more) {
            var nowPageMore = $("#nowPageMore").val();
            nowPageMore = parseInt(nowPageMore);
            var url = basePath + "InformationServlet";
            var toPage = nowPageMore;
            if (more == "more") {
                toPage = nowPageMore + 1;
            }
            var dataJson = {'toPage': toPage, 'operation': 'informationList', 'u': u};
            //异步加载数据。。。。。。。�
            Http.post(url, dataJson, true).success(function (JSONObjRet) {
                var information = JSONObjRet.information;
                var pageCount = JSONObjRet.pageCount;
                pageCount = parseInt(pageCount);
                var recount = JSONObjRet.recount;
                recount = parseInt(recount);
                var showPage = JSONObjRet.showPage;
                showPage = parseInt(showPage);
                $("#nowPageMore").val(showPage);
                var code = JSONObjRet.code;
                if (code == "200" && information.length > 0) {
                    for (var i = 0; i < information.length; i++) {
                        var mid = information[i].mid;
                        var title = information[i].title;
                        var content = information[i].content;
                        var intime = information[i].intime;
                        var read_status = information[i].read_status;
                        var url = host + "informationDetail/" + mid;
                        var curJson = {title: title, intime: intime, title: title, content: content};
                        $scope.information.push(curJson);
                    }
                    $ionicScrollDelegate.resize();
                    if (showPage == pageCount || recount <= 0) {
                        $scope.canLoadMore.code = false;
                    } else {
                        $timeout(function () {
                            $scope.canLoadMore.code = true;
                        }, 200);
                    }
                }
            });
        }

        $scope.doRefresh = function () {
            $("#nowPageMore").val("0");
            $scope.information = [];
            information();
            $scope.$broadcast('scroll.refreshComplete');
        };

        $scope.loadMore = function () {
            $scope.canLoadMore.code = false;
            information("more");
            $scope.$broadcast('scroll.infiniteScrollComplete');
        };
    })

    .controller('myFavoriteController', function ($scope, Common, Http, $timeout, $ionicScrollDelegate, zkxcService) {
        var host = Common.curState();
        $scope.host = host;
        $scope.skip = function (link) {
            window.location.href = $scope.host + link;
        }
        $("#nowPageMore").val("0");
        //定义参数
        $scope.canLoadMore = {code: true};
        $scope.myFavoriteList = [];//我的收藏列表
        var u = localStorage.getItem("uid_local");
        //获取收藏信息
        myFavorite = function (more) {
            var nowPageMore = $("#nowPageMore").val();
            nowPageMore = parseInt(nowPageMore);
            var url = basePath + "MyFavoriteServlet";
            var toPage = nowPageMore;
            if (more == "more") {
                toPage = nowPageMore + 1;
            }
            var dataJson = {
                'toPage': toPage,
                'operation': 'myFavoriteList',
                'u': u,
                'latitude': latitude,
                'longitude': longitude
            };
            //异步加载数据。。。。。。。�
            Http.post(url, dataJson, true).success(function (JSONObjRet) {
                var myFavoriteList = JSONObjRet.myFavoriteList;
                var pageCount = JSONObjRet.pageCount;
                pageCount = parseInt(pageCount);
                var recount = JSONObjRet.recount;
                recount = parseInt(recount);
                var showPage = JSONObjRet.showPage;
                showPage = parseInt(showPage);
                $("#nowPageMore").val(showPage);
                var code = JSONObjRet.code;
                if (code == "200" && myFavoriteList.length > 0) {
                    for (var i = 0; i < myFavoriteList.length; i++) {
                        var ctype = myFavoriteList[i].ctype;
                        var cid = myFavoriteList[i].cid;
                        var name = myFavoriteList[i].name;
                        var pic = myFavoriteList[i].pic;
                        pic = getHttpOrlocalPic(pic);
                        var address = myFavoriteList[i].address;
                        var total_wash = myFavoriteList[i].total_wash;
                        var total_comment = myFavoriteList[i].total_comment;
                        var distance = myFavoriteList[i].distance;
                        var id = myFavoriteList[i].id;
                        var url = "WasherDetail/" + cid;
                        var isShown = true;
                        if (ctype == 2) {
                            isShown = false;
                            url = "CarWashShopDetail/" + cid;
                        }
                        var curJson = {
                            id: id,
                            name: name,
                            pic: pic,
                            address: address,
                            total_wash: total_wash,
                            total_comment: total_comment,
                            isShown: isShown,
                            distance: distance,
                            url: url
                        };
                        $scope.myFavoriteList.push(curJson);
                    }
                    $ionicScrollDelegate.resize();
                    if (showPage == pageCount || recount <= 0) {
                        $scope.canLoadMore.code = false;
                    } else {
                        $timeout(function () {
                            $scope.canLoadMore.code = true;
                        }, 200);
                    }
                }
            });
        }

        $scope.doRefresh = function () {
            $("#nowPageMore").val("0");
            $scope.myFavoriteList = [];
            myFavorite();
            $scope.$broadcast('scroll.refreshComplete');
        };

        $scope.loadMore = function () {
            $scope.canLoadMore.code = false;
            myFavorite("more");
            $scope.$broadcast('scroll.infiniteScrollComplete');
        };

        //删除
        $scope.onItemDelete = function (id) {
            var u = localStorage.getItem("uid_local");
            showTankuang('确认删除吗？');
            $("#querenBtnRollback").click(function () {
                $("#tankuangId").remove();
                $(".reveal-modal-bg").remove();
                var url = basePath + "MyFavoriteServlet";
                var dataJson = {operation: 'delete', id: id, u: u};
                Http.post(url, dataJson, true).success(function (dataJsonRet) {
                    var code = dataJsonRet.code;
                    var message = dataJsonRet.message;
                    alert(message);
                    if (code == 200) {
                        for (var i = 0; i < $scope.myFavoriteList.length; i++) {
                            if ($scope.myFavoriteList[i].id == id) {
                                $scope.myFavoriteList.splice(i, 1);
                                function CheckScopeBeforeApply() {
                                    if (!$scope.$$phase) {
                                        $scope.$apply();
                                    }
                                };
                            }
                        }
                    }
                });
            });
        }
    })

    .controller('myCarController', function ($scope, Common, Http, $timeout) {
        var host = Common.curState();
        $scope.host = host;
        $scope.skip = function (link) {
            window.location.href = $scope.host + link;
        }
        //定义参数
        $scope.myCarList = [];
        var u = localStorage.getItem("uid_local");
        var url = basePath + "MyCarServlet";
        var dataJson = {'operation': 'myCarList', u: u};
        myCar = function () {
            //异步加载数据。。。。。。。�
            if (u != null && u != "" && typeof(u) != "undefined") {
                Http.post(url, dataJson, true).success(function (JSON_list) {
                    if (JSON_list.length > 0) {
                        for (var i = 0; i < JSON_list.length; i++) {
                            var cid = JSON_list[i].cid;
                            var cpic = JSON_list[i].cpic;
                            cpic = getHttpOrlocalPic(cpic);
                            var cname = JSON_list[i].cname;
                            var platenumber = JSON_list[i].platenumber;
                            var isdefault = JSON_list[i].isdefault;
                            var isShown = false;
                            var setDefault = "默认";
                            if (isdefault == "1") {
                                isShown = true;
                                setDefault = "取消默认";
                            }
                            var curJson = {
                                cid: cid,
                                cpic: cpic,
                                cname: cname,
                                platenumber: platenumber,
                                isShown: isShown,
                                setDefault: setDefault
                            };
                            $scope.myCarList.push(curJson);
                        }
                    }
                });
            }
        }
        myCar();

        //删除
        $scope.onItemDelete = function (cid) {
            var u = localStorage.getItem("uid_local");
            showTankuang('确认删除吗？');
            $("#querenBtnRollback").click(function () {
                $("#tankuangId").remove();
                $(".reveal-modal-bg").remove();
                var url = basePath + "MyCarServlet";
                var dataJson = {operation: 'delete', cid: cid, u: u};
                Http.post(url, dataJson, true).success(function (dataJsonRet) {
                    var code = dataJsonRet.code;
                    var message = dataJsonRet.message;
                    alert(message);
                    if (code == 200) {
                        for (var i = 0; i < $scope.myCarList.length; i++) {
                            if ($scope.myCarList[i].cid == cid) {
                                $scope.myCarList.splice(i, 1);
                                function CheckScopeBeforeApply() {
                                    if (!$scope.$$phase) {
                                        $scope.$apply();
                                    }
                                };
                            }
                        }
                    }
                });
            });
        }

        //设为默认
        $scope.setDefault = function (cid, isShown) {
            var markedwords = "确认设为默认车辆吗？";
            var isdefault = "1";
            if (isShown) {
                markedwords = "确认取消默认车辆吗？";
                isdefault = "0";
            }
            ;
            var u = localStorage.getItem("uid_local");
            showTankuang(markedwords);
            $("#querenBtnRollback").click(function () {
                $("#tankuangId").remove();
                $(".reveal-modal-bg").remove();
                var url = basePath + "MyCarServlet";
                var dataJson = {operation: 'setDefault', cid: cid, u: u, isdefault: isdefault};
                Http.post(url, dataJson, true).success(function (dataJsonRet) {
                    var code = dataJsonRet.code;
                    var message = dataJsonRet.message;
                    alert(message);
                    if (code == 200) {
                        $scope.myCarList = [];
                        $timeout(function () {
                            myCar();
                        }, 500)
                    }
                });
            });
        }
    })

    .controller('addCarController', function ($scope, Common, Http, $timeout, $ionicModal, $stateParams, $location, $ionicScrollDelegate) {
        var host = Common.curState();
        $scope.host = host;
        $scope.skip = function (link) {
            window.location.href = $scope.host + link;
        }
        var u = localStorage.getItem("uid_local");
        //定义参数
        $scope.addCardate = {cname: "", brand: "", licenseNumber: "", initial: "", u: u, brand_id: ""};
        $scope.citydata = {data: "冀A"};
        $scope.PopularVehiclesList = [];//热门车辆列表
        $scope.AllVehiclesList = [];//所有车辆列表

        $ionicModal.fromTemplateUrl('templates/mine/carBrand.html', {
            scope: $scope
        }).then(function (modal) {
            $scope.modal = modal;
        });
        $scope.closeModal = function () {
            $scope.modal.hide();
        }
        $scope.createContact = function (u) {
            $scope.modal.hide();
        };


        $scope.alphabet = iterateAlphabet();
        //Click letter event
        $scope.gotoList = function (id) {
            $location.hash(id);
            $ionicScrollDelegate.anchorScroll();
        }
        //Create alphabet object
        function iterateAlphabet() {
            var str = "ABCDEFGHIJKLMNOPQRSTUVWXYZ";
            var numbers = new Array();
            for (var i = 0; i < str.length; i++) {
                var nextChar = str.charAt(i);
                numbers.push(nextChar);
            }
            return numbers;
        }

        $scope.groups = [];
        for (var i = 0; i < 10; i++) {
            $scope.groups[i] = {
                name: i,
                items: []
            };
            for (var j = 0; j < 3; j++) {
                $scope.groups[i].items.push(i + '-' + j);
            }
        }
        /*
         * if given group is the selected group, deselect it
         * else, select the given group
         */
        $scope.toggleGroup = function (group) {
            if ($scope.isGroupShown(group)) {
                $scope.shownGroup = null;
            } else {
                $scope.shownGroup = group;
            }
        };
        $scope.isGroupShown = function (group) {
            return $scope.shownGroup === group;
        };

        //保存
        $scope.addCar = function () {
            if ($scope.addCardate.cname == "" || $scope.addCardate.cname == null || typeof($scope.addCardate.cname) == "undefined") {
                alert("车辆名称不能为空。");
                return;
            }
            if ($scope.addCardate.brand == "" || $scope.addCardate.brand == null || typeof($scope.addCardate.brand) == "undefined") {
                alert("车辆品牌不能为空。");
                return;
            }
            if ($scope.addCardate.licenseNumber == "" || $scope.addCardate.licenseNumber == null || typeof($scope.addCardate.licenseNumber) == "undefined") {
                alert("车牌号码不能为空。");
                return;
            }
            if ($scope.addCardate.licenseNumber.length != 5) {
                alert("车牌号码格式有误。");
                return;
            }
            var img = $("#img").val();
            if (img == "" || img == null || typeof(img) == "undefined") {
                alert("车辆图片不能为空。");
                return;
            }
            var url = basePath + "UserPicUploadServlet";
            var formData = new FormData($('#addCarForm')[0]);
            //console.log("formData:"+formData);
            $.ajax({
                url: url,
                type: 'POST',
                data: formData,
                async: true,//异步执行
                cache: false,
                contentType: false,
                processData: false,
                dataType: "json",
                success: function (data) { // 请求成功后处理函数。
                    jsonRet = data; // 成功
                    if (jsonRet != null) {
                        var code = jsonRet.code;
                        if (code == 200) {
                            alert("提交成功。");
                            $timeout(function () {
                                window.location.href = host + "myCar";
                            }, 1000);

                        } else {
                            alert(jsonRet.message);
                        }
                        Common.hideLoading();
                    }
                },
                error: function () {
                    alert("出错了");
                    Common.hideLoading();
                }
            });

        }

        //图片预览
        $(function () {
            $('#img').change(function () {
                var file = this.files[0];
                var r = new FileReader();
                r.readAsDataURL(file);
                $(r).load(function () {
                    $('#photo').html('<img src="' + this.result + '" alt="" />');
                })
            })
        })

        var url = basePath + "MyCarServlet";
        var dataJson = {'operation': 'brand'};
        //异步加载数据。。。。。。。�
        Http.post(url, dataJson, true).success(function (JSONObjRet) {
            if (JSONObjRet != null && JSONObjRet != "") {
                var PopularVehiclesList = JSONObjRet.PopularVehiclesList;//热门车辆
                var AllVehiclesList = JSONObjRet.AllVehiclesList;//所有车辆
                var code = JSONObjRet.code;
                if (code == "200" && PopularVehiclesList.length > 0) {//热门品牌
                    for (var i = 0; i < PopularVehiclesList.length; i++) {
                        var brand_id = PopularVehiclesList[i].brand_id;
                        var name = PopularVehiclesList[i].name;
                        var initial = PopularVehiclesList[i].initial;
                        var pic = PopularVehiclesList[i].pic;
                        pic = getHttpOrlocalPic(pic);
                        var curJson = {brand_id: brand_id, name: name, initial: initial, pic: pic};
                        $scope.PopularVehiclesList.push(curJson);
                    }
                }

                if (code == "200" && AllVehiclesList.length > 0) {//所有品牌
                    for (var i = 0; i < AllVehiclesList.length; i++) {
                        var brand_id = AllVehiclesList[i].brand_id;
                        var name = AllVehiclesList[i].name;
                        var initial = AllVehiclesList[i].initial;
                        var pic = AllVehiclesList[i].pic;
                        pic = getHttpOrlocalPic(pic);
                        var isShow = true;
                        if (initial == $scope.addCardate.initial) {//如果开头字母与上一个的相同则隐藏
                            isShow = false;
                        }
                        var curJson = {brand_id: brand_id, name: name, initial: initial, pic: pic, isShow: isShow};
                        $scope.AllVehiclesList.push(curJson);
                        $scope.addCardate.initial = initial;
                    }
                }
            }
        });

        $scope.selectBrand = function (name, brand_id) {
            $scope.addCardate.brand = name;
            $scope.addCardate.brand_id = brand_id;
            $scope.modal.hide();
        }
    })


    .controller('orderController', function ($scope, Http, Common) {//订单列表
        var host = Common.curState();
        $scope.host = host;
        $scope.page = 1;
        $scope.canLoadMore = true;
        $scope.pagecount = 0;
        var xcg = localStorage.getItem("uid_local");
        skip = function (link) {
            window.location.href = $scope.host + link;
        }

        $scope.orderinfo = {orderlist: [], num: 0};

        $scope.dealorder = function (oid) {
            window.location.href = "#/index/ddcl/" + oid;
        }

        $scope.loadmore = function () {//上拉加载调用函数
            $scope.moreinfo();
            // $scope.$broadcast('scroll.infiniteScrollComplete');
            $scope.page = $scope.page + 1;

        }

        $scope.cuttime = function (time) {//限制时间长度显示
            var str = time.substr(0, time.length - 2);
            return str;
        }
        $scope.statusinfo = function (info) {
            var str = "";
            if (info == "1") {
                str = "正在洗车";
            } else if (info == "2") {
                str = "完成洗车";
            } else if (info == "3") {
                str = "取消洗车";
            }
            return str;
        }

        $scope.carstatus = function (status) {
            var str = "";
            if (status == "1") {
                str = "等待接单";
            } else if (status == "2") {
                str = "已接单，洗车工正在赶来";
            } else if (status == "3") {
                str = "洗车工已到达，准备服务";
            } else if (status == "4") {
                str = "洗车工正在洗车";
            } else if (status == "5") {
                str = "服务已完成";
            }
            return str;
        }

        $scope.orderstatus = function (status) {
            var str = "";
            if (status == "0") {
                str = "待付款";
            } else if (status == "3") {
                str = "已取消";
            } else if (status == "4") {
                str = "退款中";
            } else if (status == "5") {
                str = "退款成功";
            }
            return str;
        }

        $scope.statuscolor = function (info) {
            var str = "";
            if (info == "1") {
                str = "balanced";
            } else if (info == "2") {
                str = "gray";
            } else if (info == "3") {
                str = "gray";
            }
            return str;
        }


        $scope.moreinfo = function () {
            if (xcg != null && xcg != "" && typeof(xcg) != "undefined") {
                var url = basePath + "UserServlet";
                var dataJson = {'u': xcg, 'operation': 'userOrderList', 'page': $scope.page};
                //  Http.post(url, dataJson, true).success(function (json_ret) {
                var json_ret = ajaxSubmit(url, dataJson);
                if (json_ret.code == "200" && json_ret.orderlist.length > 0) {
                    for (var i = 0; i < json_ret.orderlist.length; i++) {
                        $scope.orderinfo.orderlist.push(json_ret.orderlist[i]);
                    }
                }
                $scope.orderinfo.num = json_ret.allcount;
                $scope.pagecount = json_ret.pageCount;
                if ($scope.pagecount <= $scope.page) {
                    $scope.canLoadMore = false;
                } else {
                    $scope.canLoadMore = true;
                }
                //   });
            }
            $scope.$broadcast('scroll.infiniteScrollComplete');

        }

        $scope.orderlink = function (id) {
            window.location.href = "#/index/orderdetail/" + id;
        }
        $scope.giveup = function (oid) {
            showTankuang("确认取消订单吗");
            $("#querenBtnRollback").click(function () {
                $("#tankuangId").remove();
                $(".reveal-modal-bg").remove();
                var url = basePath + "UserServlet";
                var dataJson = {'u': localStorage.getItem("uid_local"), 'oid': oid, 'operation': 'giveupOrder',};
                var json_ret = ajaxSubmit(url, dataJson);
                if (json_ret.result > 0) {
                    alert("订单已成功取消");
                    window.location.href = "#/index/wddd/";
                } else {
                    alert("操作失败");
                }
            });
        }


        $scope.charge = function (oid) {
            var str = "http://v1.vcome.cc/Module/System/Service/getopenid.aspx?up=73&backto=" + domain + "wx_pay/webPay.jsp?o=" + oid;
            // console.log(str);
            location.href = str;
        }
        $scope.sendSuggest = function (oid) {
            showTankuang("确认需要投诉吗");
            $("#querenBtnRollback").click(function () {
                $("#tankuangId").remove();
                $(".reveal-modal-bg").remove();
                window.location.href = "#/index/editsuggest/" + oid;
            });
        }

        $scope.undoOrder = function (oid, type, money) {
            showTankuang("确认需要退款吗");
            $("#querenBtnRollback").click(function () {
                $("#tankuangId").remove();
                $(".reveal-modal-bg").remove();
                window.location.href = "#/index/tk/" + oid + "/" + money + "/" + type;
            });
        }


        $scope.complete = function (oid) {
            showTankuang("确认订单已完成吗");
            $("#querenBtnRollback").click(function () {
                $("#tankuangId").remove();
                $(".reveal-modal-bg").remove();
                var url = basePath + "UserServlet";
                var dataJson = {'u': localStorage.getItem("uid_local"), 'oid': oid, 'operation': 'completeOrder'};
                var json_ret = ajaxSubmit(url, dataJson);
                if (json_ret.result == 1) {
                    alert("操作成功");
                    window.location.href = "#/index/wddd/";
                } else {
                    alert("操作失败，请稍后重试");
                }
            });
        }

        $scope.doRefresh = function () {
            $scope.orderinfo.orderlist = "";
            $scope.moreinfo();
            $scope.$broadcast('scroll.refreshComplete');
        };
    })


    .controller('orderdetailController', function ($scope, $rootScope, Http, Common, $stateParams) {//订单详细
        var host = Common.curState();
        $scope.domainpic = domain;
        $scope.host = host;
        $scope.piclist1 = [];
        $scope.piclist2 = [];
        $scope.pagecount = 0;
        $scope.washerid = "";
        var xcg = localStorage.getItem("uid_local");
        skip = function (link) {
            window.location.href = $scope.host + link;
        }

        $scope.orderinfo = {orderdetail: ""};


        $scope.cuttime = function (time) {//限制时间长度显示
            var str = time.substr(0, time.length - 2);
            return str;
        }


        $scope.shorttime = function (time) {
            var str = time.substr(11, 8);
            return str;
        }

        $scope.remarkinfo = function (type, now) {
            var str = "";
            if (type != now) {
                str = "gray";
            } else {
                str = "energized";
            }
            return str;
        }


        $scope.moreinfo = function () {
            if ($stateParams.oid != null && $stateParams.oid != "" && typeof($stateParams.oid) != "undefined") {
                var url = basePath + "UserServlet";
                var dataJson = {'oid': $stateParams.oid, 'operation': 'userOrderDetail',};
                var json_ret = ajaxSubmit(url, dataJson);
                $scope.orderinfo.orderdetail = json_ret.orderdetail;

                var pics_before_whArray = json_ret.orderdetail.pics_before_whArray;
                var pics_after_whArray = json_ret.orderdetail.pics_after_whArray;
                
				var imgUrlDb = "";
				var dataSize = "";
				
				if(pics_before_whArray != null && pics_before_whArray.length > 0){
					for(var i = 0; i < pics_before_whArray.length ; i++){
						imgUrlDb = pics_before_whArray[i].URL;
						dataSize = pics_before_whArray[i].WH;
						$scope.piclist1[i] = {img: imgUrlDb,dataSizeName:dataSize};
					}
				}
				
				if(pics_after_whArray != null && pics_after_whArray.length > 0){
					for(var i = 0; i < pics_after_whArray.length ; i++){
						imgUrlDb = pics_after_whArray[i].URL;
						dataSize = pics_after_whArray[i].WH;
						$scope.piclist2[i] = {img: imgUrlDb,dataSizeName:dataSize};
					}
				}
				
                $scope.washerid = json_ret.orderdetail.washerid;
            }
        }

        $scope.moreinfo();
        $scope.editremarks = function () {
            window.location.href = "#/index/wdpj/" + $scope.washerid + "/" + $stateParams.oid;
        }

        //图片放大预览插件--start
        setTimeout(function () {
            var initPhotoSwipeFromDOM = function (gallerySelector) {
                // parse slide data (url, title, size ...) from DOM elements
                // (children of gallerySelector)
                var parseThumbnailElements = function (el) {
                    var thumbElements = el.childNodes,
                        numNodes = thumbElements.length,
                        items = [],
                        figureEl,
                        linkEl,
                        size,
                        item;
                    for (var i = 0; i < numNodes; i++) {
                        figureEl = thumbElements[i]; // <figure> element
                        // include only element nodes
                        if (figureEl.nodeType !== 1) {
                            continue;
                        }
                        linkEl = figureEl.children[0]; // <a> element
                        size = linkEl.getAttribute('data-size').split('x');
                        // create slide object
                        item = {
                            src: linkEl.getAttribute('href'),
                            w: parseInt(size[0], 10),
                            h: parseInt(size[1], 10)
                        };
                        if (figureEl.children.length > 1) {
                            // <figcaption> content
                            item.title = figureEl.children[1].innerHTML;
                        }
                        if (linkEl.children.length > 0) {
                            // <img> thumbnail element, retrieving thumbnail url
                            item.msrc = linkEl.children[0].getAttribute('src');
                        }
                        item.el = figureEl; // save link to element for getThumbBoundsFn
                        items.push(item);
                    }
                    return items;
                };
                // find nearest parent element
                var closest = function closest(el, fn) {
                    return el && (fn(el) ? el : closest(el.parentNode, fn));
                };
                // triggers when user clicks on thumbnail
                var onThumbnailsClick = function (e) {
                    e = e || window.event;
                    e.preventDefault ? e.preventDefault() : e.returnValue = false;
                    var eTarget = e.target || e.srcElement;
                    // find root element of slide
                    var clickedListItem = closest(eTarget,
                        function (el) {
                            return (el.tagName && el.tagName.toUpperCase() === 'FIGURE');
                        });
                    if (!clickedListItem) {
                        return;
                    }
                    // find index of clicked item by looping through all child nodes
                    // alternatively, you may define index via data- attribute
                    var clickedGallery = clickedListItem.parentNode,
                        childNodes = clickedListItem.parentNode.childNodes,
                        numChildNodes = childNodes.length,
                        nodeIndex = 0,
                        index;
                    for (var i = 0; i < numChildNodes; i++) {
                        if (childNodes[i].nodeType !== 1) {
                            continue;
                        }
                        if (childNodes[i] === clickedListItem) {
                            index = nodeIndex;
                            break;
                        }
                        nodeIndex++;
                    }
                    if (index >= 0) {
                        // open PhotoSwipe if valid index found
                        openPhotoSwipe(index, clickedGallery);
                    }
                    return false;
                };
                // parse picture index and gallery index from URL (#&pid=1&gid=2)
                var photoswipeParseHash = function () {
                    var hash = window.location.hash.substring(1),
                        params = {};
                    if (hash.length < 5) {
                        return params;
                    }
                    var vars = hash.split('&');
                    for (var i = 0; i < vars.length; i++) {
                        if (!vars[i]) {
                            continue;
                        }
                        var pair = vars[i].split('=');
                        if (pair.length < 2) {
                            continue;
                        }
                        params[pair[0]] = pair[1];
                    }
                    if (params.gid) {
                        params.gid = parseInt(params.gid, 10);
                    }
                    return params;
                };
                var openPhotoSwipe = function (index, galleryElement, disableAnimation, fromURL) {
                    var pswpElement = document.querySelectorAll('.pswp')[0],
                        gallery,
                        options,
                        items;
                    items = parseThumbnailElements(galleryElement);
                    // define options (if needed)
                    options = {
                        // define gallery index (for URL)
                        galleryUID: galleryElement.getAttribute('data-pswp-uid'),
                        getThumbBoundsFn: function (index) {
                            // See Options -> getThumbBoundsFn section of documentation for more info
                            var thumbnail = items[index].el.getElementsByTagName('img')[0],
                            // find thumbnail
                                pageYScroll = window.pageYOffset || document.documentElement.scrollTop,
                                rect = thumbnail.getBoundingClientRect();
                            return {
                                x: rect.left,
                                y: rect.top + pageYScroll,
                                w: rect.width
                            };
                        }
                    };
                    // PhotoSwipe opened from URL
                    if (fromURL) {
                        if (options.galleryPIDs) {
                            // parse real index when custom PIDs are used
                            // http://photoswipe.com/documentation/faq.html#custom-pid-in-url
                            for (var j = 0; j < items.length; j++) {
                                if (items[j].pid == index) {
                                    options.index = j;
                                    break;
                                }
                            }
                        } else {
                            // in URL indexes start from 1
                            options.index = parseInt(index, 10) - 1;
                        }
                    } else {
                        options.index = parseInt(index, 10);
                    }
                    // exit if index not found
                    if (isNaN(options.index)) {
                        return;
                    }
                    if (disableAnimation) {
                        options.showAnimationDuration = 0;
                    }
                    // Pass data to PhotoSwipe and initialize it
                    gallery = new PhotoSwipe(pswpElement, PhotoSwipeUI_Default, items, options);
                    gallery.init();
                };
                // loop through all gallery elements and bind events
                var galleryElements = document.querySelectorAll(gallerySelector);
                for (var i = 0, l = galleryElements.length; i < l; i++) {
                    galleryElements[i].setAttribute('data-pswp-uid', i + 1);
                    galleryElements[i].onclick = onThumbnailsClick;
                }
                // Parse URL and open gallery if it contains #&pid=3&gid=1
                var hashData = photoswipeParseHash();
                if (hashData.pid && hashData.gid) {
                    openPhotoSwipe(hashData.pid, galleryElements[hashData.gid - 1], true, true);
                }
            };
            // execute above function
            initPhotoSwipeFromDOM('#my-gallery');//延时初始化
            initPhotoSwipeFromDOM('#my-gallery-2');//延时初始化
        }, 1000);


        $("#closePicBigViewId").click(function(){
			//显示头部
			$(".bar-position").show();
			$(".bar-position").attr("style", "display:block;color:white");
        });

        $scope.hideHeadBar = function () {
            $(".pswp__counter").attr("style", "display:block;");
			//隐藏头部
			$(".bar-position").hide();
			$(".bar-position").attr("style", "display:none;");
        }
        //图片放大预览插件--end

    })


    .controller('editsuuggestController', function ($scope, Common, Http, $rootScope, $stateParams) {
        var host = Common.curState();
        $scope.host = host;
        $scope.skip = function (link) {
            window.location.href = $scope.host + link;
        }
        //定义参数
        $scope.editinfo = {content: "", phone: "", name: "", email: ""};


        //异步加载数据。。。。。。。�
        $scope.editSubmit = function () {
            var url = basePath + "UserServlet";
            if ($scope.editinfo.content == "") {
                alert("内容不能为空");
                return;
            }
            if ($scope.editinfo.phone == "") {
                alert("电话不能为空");
                return;
            }
            if ($scope.editinfo.name == "") {
                alert("姓名不能为空");
                return;
            }
            if ($scope.editinfo.email != "" && $scope.editinfo.email != null && typeof($scope.editinfo.email) != 'undefined') {
                if (!yzEmail($scope.editinfo.email)) {
                    alert("邮箱格式不正确");
                    return;
                }
            }


            var dataJson = {
                'name': $scope.editinfo.name,
                'phone': $scope.editinfo.phone,
                'email': $scope.editinfo.email,
                'content': $scope.editinfo.content,
                'u': localStorage.getItem("uid_local"),
                'operation': 'editSuggest',
                'oid': $stateParams.oid
            };
            Http.post(url, dataJson, true).success(function (JSONObjRet) {
                if (JSONObjRet.code == "200") {
                    if (JSONObjRet.result == 0) {
                        alert("提交失败，请检查输入");
                    } else {
                        alert("提交成功，请耐心等候");
                        window.location.href = "#/index/wddd";
                    }

                } else {
                    alert("提交失败，请检查输入");
                }

            });
        }


    })

    .controller('undoorderController', function ($scope, Common, Http, $rootScope, $stateParams) {
        var host = Common.curState();
        $scope.host = host;
        $scope.skip = function (link) {
            window.location.href = $scope.host + link;
        }
        //定义参数
        $scope.editinfo = {content: "", modify: "modify"};
        $scope.money = $stateParams.money;
        $scope.oid = $stateParams.oid;
        $scope.otype = $stateParams.otype;
        $scope.u = localStorage.getItem("uid_local");

        //异步加载数据。。。。。。。�
        $scope.shaidanSubmit = function () {

            var pid = GetQueryString("pid");
            $("#pid").val(pid);

            var u = localStorage.getItem("uid_local");
            if (u != null || u != "" || typeof(u) != "undefined") {
                $("#u").val(u);
                var title = $("#title").val();
                var content = $("#content").val();

                var pics_length = form_pics.length;//已选择上传图片数量 pics.js


                if (pics_length == 0) {
                    $scope.editinfo.modify = "nomodify";
                } else {
                    $scope.editinfo.modify = "modify";
                }
                $("#btnSub").html("提交中...");
                $("#btnSub").attr("href", "javascript:void(0)");
                var url = basePath + 'UndoOrderPicUploadServlet';
                var formData = new FormData($("#shaidanForm")[0]);

                Http.post(url, dataJson, true).success(function (JSONObjRet) {
                    var jsonRet = JSONObjRet;
                    if (jsonRet != null) {
                        var code = jsonRet.code;
                        if (code == 200) {
                            alert("提交成功。");
                            $("#btnSub").html("已提交");
                            window.location.href = "#/index/wddd";
                        } else {
                            alert("提交失败,请稍后再试");
                            $("#btnSub").html("提交");

                        }
                    }
                })

            }
        }


    })


    .controller('xcquanController', function ($scope, Http, Common) {//洗车券
        var host = Common.curState();
        $scope.host = host;
        $scope.page = 1;
        $scope.canLoadMore = true;
        $scope.pagecount = 0;

        var xcg = localStorage.getItem("uid_local");
        skip = function (link) {
            window.location.href = $scope.host + link;
        }

        $scope.xcqzk = function (value) {
            var str = 0;
            str = 10 * parseFloat(value);
            str = Math.round(str * 100) / 100;
            return str;

        }

        $scope.remarkinfo = {couponlist: []};


        $scope.loadmore = function () {//上拉加载调用函数
            $scope.moreinfo();
            // $scope.$broadcast('scroll.infiniteScrollComplete');
            $scope.page = $scope.page + 1;

        }

        $scope.cuttime = function (time) {//限制时间长度显示
            var str = time.substr(0, time.length - 2);
            return str;
        }
        $scope.moreinfo = function () {
            if (xcg != null && xcg != "" && typeof(xcg) != "undefined") {
                var url = basePath + "UserServlet";
                var dataJson = {'u': xcg, 'operation': 'getxcQuanList', 'page': $scope.page};
                //Http.post(url, dataJson, false).success(function (JSONObjRet) {
                var json_ret = ajaxSubmit(url, dataJson);
                if (json_ret.code == "200" && json_ret.userlist.length > 0) {
                    for (var i = 0; i < json_ret.userlist.length; i++) {
                        $scope.remarkinfo.couponlist.push(json_ret.userlist[i]);
                    }
                }
                $scope.remarkinfo.num = json_ret.allcount;
                $scope.pagecount = json_ret.pageCount;
                if ($scope.pagecount <= $scope.page) {
                    $scope.canLoadMore = false;
                } else {
                    $scope.canLoadMore = true;
                }
                // })


            }
            $scope.$broadcast('scroll.infiniteScrollComplete');

        }
        $scope.userlaw = function () {
            window.location.href = "#/index/userlaw";
        }


    })

    .controller('xcquselawController', function ($scope, Http, Common) {//使用规则
        $scope.lawcontent = {title: "", content: ""};
        $scope.couponlaw = function () {
            //window.location.href="#/mine/userlaw";
            var url = basePath + "UserServlet";
            var dataJson = {'operation': 'getxcQuanLaw'};
            var json_ret = ajaxSubmit(url, dataJson);

            $scope.lawcontent.title = json_ret.ntitle;
            $scope.lawcontent.content = json_ret.content;

        }
        $scope.couponlaw();

    })


    .controller('sendremarkController', function ($scope, Http, $stateParams, Common) {//使用规则
        var host = Common.curState();
        $scope.remarkcontent = {satrs: "5", content: "", satrs_shop: "5", content_shop: ""};
        $scope.u = localStorage.getItem("uid_local");
        $scope.remarksend = function () {
            var url = basePath + "UserServlet";
            var dataJson = {
                'platform': platform,
                'oid': $stateParams.oid,
                'u': $scope.u,
                'satrs_shop': $scope.remarkcontent.satrs_shop,
                'content_shop': $scope.remarkcontent.content_shop,
                'stars': $scope.remarkcontent.satrs,
                'cont': $scope.remarkcontent.content,
                'operation': 'remark'
            };
            var json_ret = ajaxSubmit(url, dataJson);
            var message = json_ret.message;
            if (json_ret.code == "200") {
                alert(message);
                window.location.href = host + "orderdetail/" + dataJson.oid;
            } else {
                alert(message);
            }

        }
        // $scope.couponlaw();
        $(".Washer ul li").click(
            function () {
                var num = $(this).index() + 1;
                var len = $(this).index();
                $scope.remarkcontent.satrs = num;
                var thats = $(this).parent(".order-list-Below ul").find("li");
                if ($(thats).eq(len).attr("class") == "on") {
                    if ($(thats).eq(num).attr("class") == "on") {
                        $(thats).removeClass();
                        for (var i = 0; i < num; i++) {
                            $(thats).eq(i).addClass("on");
                        }
                    } else {
                        /* $(thats).removeClass();
                         for (var k = 0; k < len; k++) {
                         $(thats).eq(k).addClass("on");
                         }*/
                    }
                } else {
                    $(thats).removeClass();
                    for (var j = 0; j < num; j++) {
                        $(thats).eq(j).addClass("on");
                    }
                }
            }
        );

        $(".Car_wash_shop ul li").click(
            function () {
                var num = $(this).index() + 1;
                var len = $(this).index();
                $scope.remarkcontent.satrs_shop = num;
                var thats = $(this).parent(".order-list-Below ul").find("li");
                if ($(thats).eq(len).attr("class") == "on") {
                    if ($(thats).eq(num).attr("class") == "on") {
                        $(thats).removeClass();
                        for (var i = 0; i < num; i++) {
                            $(thats).eq(i).addClass("on");
                        }
                    } else {
                        /* $(thats).removeClass();
                         for (var k = 0; k < len; k++) {
                         $(thats).eq(k).addClass("on");
                         }*/
                    }
                } else {
                    $(thats).removeClass();
                    for (var j = 0; j < num; j++) {
                        $(thats).eq(j).addClass("on");
                    }
                }
            }
        );

    })

    .controller('tixianController', function ($scope, Common, Http) {
        var host = Common.curState();
        $scope.host = host;
        $scope.skip = function (link) {
            window.location.href = $scope.host + link;
        }
        //定义参数
        $scope.tixian = {khname: "", khbank: "", khcard: "", money: "", idcard: ""};


        isCardNo = function (card) {
            //身份证号码为15位或者18位，15位时全为数字，18位前17位为数字，最后一位是校验位，可能为数字或字符X
            var reg = /(^\d{15}$)|(^\d{17}(\d|X)$)/;
            if (reg.test(card) === false) {
                return false;
            }

            return true;
        };

        changeFivteenToEighteen = function (card) {
            if (card.length == '15') {
                var arrInt = new Array(7, 9, 10, 5, 8, 4, 2, 1, 6, 3, 7, 9, 10, 5, 8, 4, 2);
                var arrCh = new Array('1', '0', 'X', '9', '8', '7', '6', '5', '4', '3', '2');
                var cardTemp = 0, i;
                card = card.substr(0, 6) + '19' + card.substr(6, card.length - 6);
                for (i = 0; i < 17; i++) {
                    cardTemp += card.substr(i, 1) * arrInt[i];
                }
                card += arrCh[cardTemp % 11];
                return card;
            }
            return card;
        };

        isCardNo = function (card) {
            //身份证号码为15位或者18位，15位时全为数字，18位前17位为数字，最后一位是校验位，可能为数字或字符X
            var reg = /(^\d{15}$)|(^\d{17}(\d|X)$)/;
            if (reg.test(card) === false) {
                return false;
            }

            return true;
        };


        //异步加载数据。。。。。。。�
        $scope.sendup = function () {
            var url = basePath + "UserServlet";
            if ($scope.tixian.khname == "") {
                alert("请输入姓名");
                return;
            }
            if ($scope.tixian.khbank == "") {
                alert("请输入开户行");
                return;
            }
            if ($scope.tixian.khcard == "") {
                alert("请输入卡号");
                return;
            }
            if ($scope.tixian.money == "") {
                alert("请输入金额");
                return;
            }
            if ($scope.tixian.idcard == "") {
                alert("请输入身份证号");
                return;
            }
            if (isCardNo($scope.tixian.idcard)) {
                $scope.tixian.idcard = changeFivteenToEighteen($scope.tixian.idcard);
            } else {
                alert("身份证号格式不对！");
                return false;
            }
            var dataJson = {
                'idcard': $scope.tixian.idcard,
                'name': $scope.tixian.khname,
                'bankname': $scope.tixian.khbank,
                'bankcard': $scope.tixian.khcard,
                'u': localStorage.getItem("uid_local"),
                'sum': $scope.tixian.money,
                'operation': 'tixian'
            };
            Http.post(url, dataJson, true).success(function (JSONObjRet) {
                if (JSONObjRet.code == "200") {
                    if (JSONObjRet.result == 0) {
                        alert("提交失败，请检查输入");
                    } else {
                        alert("提交成功，请耐心等候");
                        window.location.href = "index.html#/index/index";
                    }

                } else if (JSONObjRet.code == "203") {
                    alert("对不起，您的余额不足");
                    window.location.href = "index.html#/index/index";
                } else {
                    alert("提交失败，请检查输入");
                }

            });
        }
    })

    .controller('ModifyCarController', function ($scope, Common, Http, $timeout, $ionicModal, $stateParams, $location, $ionicScrollDelegate) {
        var host = Common.curState();
        $scope.host = host;
        $scope.skip = function (link) {
            window.location.href = $scope.host + link;
        }
        var cid = $stateParams.cid;//车辆id

        var u = localStorage.getItem("uid_local");
        //定义参数
        $scope.addCardate = {cname: "", brand: "", licenseNumber: "", initial: "", u: u, brand_id: "", cid: cid};
        $scope.citydata = {data: "冀A"};
        $scope.PopularVehiclesList = [];//热门车辆列表
        $scope.AllVehiclesList = [];//所有车辆列表

        $ionicModal.fromTemplateUrl('templates/mine/carBrand.html', {
            scope: $scope
        }).then(function (modal) {
            $scope.modal = modal;
        });
        $scope.closeModal = function () {
            $scope.modal.hide();
        }
        $scope.createContact = function (u) {
            $scope.modal.hide();
        };

        $scope.alphabet = iterateAlphabet();
        //Click letter event
        $scope.gotoList = function (id) {
            $location.hash(id);
            $ionicScrollDelegate.anchorScroll();
        }
        //Create alphabet object
        function iterateAlphabet() {
            var str = "ABCDEFGHIJKLMNOPQRSTUVWXYZ";
            var numbers = new Array();
            for (var i = 0; i < str.length; i++) {
                var nextChar = str.charAt(i);
                numbers.push(nextChar);
            }
            return numbers;
        }

        $scope.groups = [];
        for (var i = 0; i < 10; i++) {
            $scope.groups[i] = {
                name: i,
                items: []
            };
            for (var j = 0; j < 3; j++) {
                $scope.groups[i].items.push(i + '-' + j);
            }
        }
        /*
         * if given group is the selected group, deselect it
         * else, select the given group
         */
        $scope.toggleGroup = function (group) {
            if ($scope.isGroupShown(group)) {
                $scope.shownGroup = null;
            } else {
                $scope.shownGroup = group;
            }
        };
        $scope.isGroupShown = function (group) {
            return $scope.shownGroup === group;
        };


        //保存
        $scope.modCar = function () {
            if ($scope.addCardate.cname == "" || $scope.addCardate.cname == null || typeof($scope.addCardate.cname) == "undefined") {
                alert("车辆名称不能为空。");
                return;
            }
            if ($scope.addCardate.brand == "" || $scope.addCardate.brand == null || typeof($scope.addCardate.brand) == "undefined") {
                alert("车辆品牌不能为空。");
                return;
            }
            if ($scope.addCardate.licenseNumber == "" || $scope.addCardate.licenseNumber == null || typeof($scope.addCardate.licenseNumber) == "undefined") {
                alert("车牌号码不能为空。");
                return;
            }
            if ($scope.addCardate.licenseNumber.length != 5) {
                alert("车牌号码格式有误。");
                return;
            }

            var url = basePath + "UserPicUploadModServlet";
            var formData = new FormData($('#addCarForm')[0]);
            //console.log("formData:"+formData);
            $.ajax({
                url: url,
                type: 'POST',
                data: formData,
                async: true,//异步执行
                cache: false,
                contentType: false,
                processData: false,
                dataType: "json",
                success: function (data) { // 请求成功后处理函数。
                    jsonRet = data; // 成功
                    if (jsonRet != null) {
                        var code = jsonRet.code;
                        if (code == 200) {
                            alert("提交成功。");
                            $timeout(function () {
                                window.location.href = host + "myCar";
                            }, 1000);
                        } else {
                            alert(jsonRet.message);
                        }
                    } else {
                        alert("提交失败，请稍后重试。");
                    }
                    Common.hideLoading();
                },
                error: function () {
                    alert("出错了");
                    Common.hideLoading();
                }
            });

        }

        //图片预览
        $(function () {
            $('#img').change(function () {
                var file = this.files[0];
                var r = new FileReader();
                r.readAsDataURL(file);
                $(r).load(function () {
                    $('#photo').html('<img src="' + this.result + '" alt="" />');
                })
            })
        })

        var url = basePath + "MyCarServlet";
        var dataJson = {'operation': 'brand', 'cid': cid};
        //异步加载数据。。。。。。。�
        Http.post(url, dataJson, true).success(function (JSONObjRet) {
            if (JSONObjRet != null && JSONObjRet != "") {
                var PopularVehiclesList = JSONObjRet.PopularVehiclesList;//热门车辆
                var AllVehiclesList = JSONObjRet.AllVehiclesList;//所有车辆
                $scope.addCardate.cname = JSONObjRet.cname;
                var cpic = JSONObjRet.cpic;
                $scope.addCardate.pic = getHttpOrlocalPic(cpic);
                $scope.citydata.data = JSONObjRet.LicensePrefix;
                $scope.addCardate.licenseNumber = JSONObjRet.licenseNumber;
                $scope.addCardate.brand = JSONObjRet.brand;
                $scope.addCardate.brand_id = JSONObjRet.brand_id;
                var code = JSONObjRet.code;
                if (code == "200" && PopularVehiclesList.length > 0) {//热门品牌
                    for (var i = 0; i < PopularVehiclesList.length; i++) {
                        var brand_id = PopularVehiclesList[i].brand_id;
                        var name = PopularVehiclesList[i].name;
                        var initial = PopularVehiclesList[i].initial;
                        var pic = PopularVehiclesList[i].pic;
                        pic = getHttpOrlocalPic(pic);
                        var curJson = {brand_id: brand_id, name: name, initial: initial, pic: pic};
                        $scope.PopularVehiclesList.push(curJson);
                    }
                }

                if (code == "200" && AllVehiclesList.length > 0) {//所有品牌
                    for (var i = 0; i < AllVehiclesList.length; i++) {
                        var brand_id = AllVehiclesList[i].brand_id;
                        var name = AllVehiclesList[i].name;
                        var initial = AllVehiclesList[i].initial;
                        var pic = AllVehiclesList[i].pic;
                        pic = getHttpOrlocalPic(pic);
                        var isShow = true;
                        if (initial == $scope.addCardate.initial) {//如果开头字母与上一个的相同则隐藏
                            isShow = false;
                        }
                        var curJson = {brand_id: brand_id, name: name, initial: initial, pic: pic, isShow: isShow};
                        $scope.AllVehiclesList.push(curJson);
                        $scope.addCardate.initial = initial;
                    }
                }
            }
        });

        $scope.selectBrand = function (name, brand_id) {
            $scope.addCardate.brand = name;
            $scope.addCardate.brand_id = brand_id;
            $scope.modal.hide();
        }
    })

    .controller('cydzszController', function ($scope, Http, $stateParams) {//常用地址设置
        $scope.addrcontent = {addrname: "", addr: "", lon: "", lat: "", id: ""};
        $scope.u = localStorage.getItem("uid_local");
        $scope.locationlist = {};
        $scope.locationlist2 = {};
        $scope.mylocationlist = {};
        $scope.formdata = {id: "", lon: "", lat: "", address: ""};


        var dataJson = {'longitude': longitude, 'latitude': latitude, 'operation': 'location'};
        //  var url = basePath + "UserServlet";

        $.ajax({
            url: 'http://api.map.baidu.com/geocoder/v2/?ak=5gPYoy7XePMwewinq05O0V4cS8BcYBGv&callback=renderReverse&location=' + latitude + ',' + longitude + '&output=json&pois=1',
            type: 'POST',
            data: {},
            async: false,
            cache: false,
            dataType: "jsonp",
            jsoncallback: 'kuayu',
            success: function (returndata) {
                //console.log(returndata);
                $scope.locationlist = returndata;
                //  alert(JSON.stringify(returndata));
            },
            error: function (returndata) {
                alert(returndata);
            }
        });


        $scope.getlonlat = function (name, addr) {
            $.ajax({
                url: 'http://api.map.baidu.com/geocoder/v2/?ak=5gPYoy7XePMwewinq05O0V4cS8BcYBGv&callback=renderReverse&address=' + addr + '&output=json&pois=1',
                type: 'POST',
                data: {},
                async: false,
                cache: false,
                dataType: "jsonp",
                jsoncallback: 'kuayu',
                success: function (returndata) {
                    $scope.locationlist2 = returndata;
                    $scope.addrcontent.addrname = name;
                    $scope.addrcontent.addr = addr;
                    $scope.addrcontent.lon = $scope.locationlist2.result.location.lng;
                    $scope.addrcontent.lat = $scope.locationlist2.result.location.lat;
                    $scope.addrcontent.id = "";

                    $scope.$apply();
                    //var url = basePath + "UserServlet";
                    //var dataJson = {
                    //    'u': $scope.u,
                    //    'lon': $scope.locationlist2.result.location.lng,
                    //    'lat': $scope.locationlist2.result.location.lat,
                    //    'id': "",
                    //    'addr': addr,
                    //    'shortaddr': name,
                    //    'type': $stateParams.type,
                    //    'operation': 'setaddr'
                    //};
                    //var JSONObjRet = ajaxSubmit(url, dataJson);
                    //if (JSONObjRet.code == "200") {
                    //    if (JSONObjRet.result == 0) {
                    //        alert("提交失败，请稍后再试");
                    //    } else {
                    //        alert("设置成功");
                    //        window.location.href = "index.html#/index/index";
                    //    }
                    //
                    //} else {
                    //    alert("提交失败，请稍后再试");
                    //}
                    //  alert(JSON.stringify(returndata));
                },
                error: function (returndata) {
                    alert(returndata);
                }
            });

        }

        var url = basePath + "UserServlet";
        var dataJson = {'u': $scope.u, 'type': $stateParams.type, 'operation': 'locationlist'};
        var json_ret = ajaxSubmit(url, dataJson);
        if (json_ret.userlist && json_ret.length > 0) {
            $scope.mylocationlist = json_ret.userlist;
            $scope.addrcontent.addrname = $scope.mylocationlist[0].addrname;
            $scope.addrcontent.addr = $scope.mylocationlist[0].address;
            $scope.addrcontent.lon = $scope.mylocationlist[0].longitude;
            $scope.addrcontent.lat = $scope.mylocationlist[0].latitude;
            $scope.addrcontent.id = $scope.mylocationlist[0].aid;


        } else {
            $.ajax({
                url: 'http://api.map.baidu.com/geocoder/v2/?ak=5gPYoy7XePMwewinq05O0V4cS8BcYBGv&callback=renderReverse&location=' + latitude + ',' + longitude + '&output=json&pois=1',
                type: 'POST',
                data: {},
                async: false,
                cache: false,
                dataType: "jsonp",
                jsoncallback: 'kuayu',
                success: function (returndata) {
                    if (returndata.status == 0) {
                        $scope.locationlist = returndata;
                        $scope.addrcontent.addrname = $scope.locationlist.result.addressComponent.street + $scope.locationlist.result.addressComponent.street_number;
                        $scope.addrcontent.addr = $scope.locationlist.result.formatted_address;
                        $scope.addrcontent.lon = $scope.locationlist.result.location.lng;
                        $scope.addrcontent.lat = $scope.locationlist.result.location.lat;
                        $scope.addrcontent.id = "";
                    } else {
                        $scope.mylocationlist = "";
                        $scope.addrcontent.addrname = "";
                        $scope.addrcontent.addr = "";
                        $scope.addrcontent.lon = "";
                        $scope.addrcontent.lat = "";
                        $scope.addrcontent.id = "";
                    }

                },
                error: function (returndata) {
                    $scope.mylocationlist = "";
                    $scope.addrcontent.addrname = "";
                    $scope.addrcontent.addr = "";
                    $scope.addrcontent.lon = "";
                    $scope.addrcontent.lat = "";
                    $scope.addrcontent.id = "";
                }
            });

        }

        $scope.setlocaldefault = function (lon, lat, addr, addrname, id) {
            $scope.addrcontent.addrname = addrname;
            $scope.addrcontent.addr = addr;
            $scope.addrcontent.lon = lon;
            $scope.addrcontent.lat = lat;
            $scope.addrcontent.id = id;

            //var url = basePath + "UserServlet";
            //var dataJson = {
            //    'u': $scope.u,
            //    'lon': $scope.addrcontent.lon,
            //    'lat':  $scope.addrcontent.lat,
            //    'id': $scope.addrcontent.id,
            //    'addr':  $scope.addrcontent.addr,
            //    'shortaddr': $scope.addrcontent.addrname,
            //    'type': $stateParams.type,
            //    'operation': 'setaddr'
            //};
            //console.log(dataJson)
            //var JSONObjRet = ajaxSubmit(url, dataJson);
            //if (JSONObjRet.code == "200") {
            //    if (JSONObjRet.result == 0) {
            //        alert("提交失败，请稍后再试");
            //    } else {
            //        alert("设置成功");
            //        window.location.href = "index.html#/index/index";
            //    }
            //
            //} else {
            //    alert("提交失败，请稍后再试");
            //}

        }

        var cid = $stateParams.cid;
        $scope.saveaddr = function () {
            var url = basePath + "UserServlet";
            var dataJson = {
                'u': $scope.u,
                'lon': $scope.addrcontent.lon,
                'lat': $scope.addrcontent.lat,
                'id': $scope.addrcontent.id,
                'addr': $scope.addrcontent.addr,
                'shortaddr': $scope.addrcontent.addrname,
                'type': $stateParams.type,
                'operation': 'setaddr'
            };

            var JSONObjRet = ajaxSubmit(url, dataJson);
            if (JSONObjRet.code == "200") {
                if (JSONObjRet.result == 0) {
                    alert("提交失败，请稍后再试");
                } else {
                    alert("设置成功");
                    window.location.href = $scope.host + "commonAddress/" + cid;
                }

            } else {
                alert("提交失败，请稍后再试");
            }
        }
    })


    .controller('lookforpsdController', function ($scope, Common, Http, $rootScope, $interval) {
        $rootScope.tabback = true;
        var host = Common.curState();
        $scope.host = host;
        $scope.skip = function (link) {
            window.location.href = $scope.host + link;
        }
        $scope.formdata = {counts: 0, time: "获取验证码"};
        $scope.checkcode = "";
        var InterValObj; //timer变量，控制时间
        var count = 50; //间隔函数，1秒执行
        var curCount;//当前剩余秒数

        $scope.sendMsg = function () {
            var txtMobile = $("#txtMobile").val();
            var yzRetJson = ajaxSubmit(basePath + "UserServlet", {'username': txtMobile, operation: "userUniqueCheck"});
            var codeYz = yzRetJson.code;
            if (codeYz != 201) {
                var message = yzRetJson.message;
                alert("请检查手机号");
                return;
            }
            if (!yzPhone(txtMobile)) {
                alert("请输入有效的手机号");
                return;
            } else {
                yzRetJson = ajaxSubmit(basePath + "SendSMS", {'username': txtMobile, operation: "getSms"});
                var checkcode = yzRetJson.code;
                if (checkcode == "200") {
                    $scope.checkcode = yzRetJson.smsmd5;
                    curCount = count;
                    $("#yanzheng").removeAttr('onclick');
                    //InterValObj = window.setInterval(SetRemainTime, 1000); //启动计时器，1秒执行一次
                    InterValObj = $interval(function () {
                        SetRemainTime();
                    }, 1000);
                } else {
                    alert(yzRetJson.message);
                }

            }
        }

        SetRemainTime = function () {
            if (curCount == 0) {
                $scope.formdata.counts = 0;
                window.clearInterval(InterValObj);//停止计时器
                // $("#yanzheng").attr("onclick","hqyzm();");//启用按钮
                //$("#yanzheng").text("获取验证码");
            }
            else if (curCount > 0) {

                $scope.formdata.counts = 1;
                curCount--;
                $scope.formdata.time = curCount + "秒后重新发送";
                //console.log($scope.formdata.time);
                //$("#yanzheng").text(curCount + " 秒");
            }
        }

        $scope.PassAlterSubmit = function () {
            //验证手机号格�?
            var txtMobile = $("#txtMobile").val();
            if (!yzPhone(txtMobile)) {
                alert("请输入有效的手机号");
                return;
            }
            //验证手机号是否存在
            var yzRetJson = ajaxSubmit(basePath + "UserServlet", {'username': txtMobile, operation: "userUniqueCheck"});
            var codeYz = yzRetJson.code;
            if (codeYz != 201) {
                var message = yzRetJson.message;
                alert(message);
                return;
            }

            var password = $("#txtPassword").val();
            if (!yzLogPass(password)) {
                alert("请输入有效的登录密码");
                return;
            }
            var mobileCode = $("#mobileCode").val();
            if ($.md5(mobileCode) != $scope.checkcode) {
                alert("请输入正确验证码");
                return;
            }
            var passwordconfirm = $("#txtPasswordConfirm").val();
            if (passwordconfirm == "") {
                alert("请确认登录密码");
                return;
            }
            if (password != passwordconfirm) {
                alert("两次密码不一致");
                return;
            }
            password = $.md5(password);
            var url = basePath + "UserServlet";
            var dataJson = {
                'username': txtMobile,
                'p': password,
                'operation': "newPsd"
            };

            var subRetJson = ajaxSubmit(url, dataJson);
            var code = subRetJson.code;

            if (code == 200) {
                localStorage.setItem("uid_local", "");
                alert("密码修改成功。");
                $scope.openModal();

            } else {
                message = subRetJson.message;
                alert(message);
            }
        }

    });