
//世界活动中心
app.controller('wordCenterController', function ($scope, Common, Http, $state, $location, $ionicTabsDelegate, $rootScope, $timeout,$stateParams) {
    var uid = localStorage.getItem("uid_local");//用户加密的id
    var host = Common.curState();
    $scope.host = host;
    $scope.readStatus=false;
    $scope.readStatus1=false;
    var unionId="";
    if(uid=="" || uid==null){
    location.href="#/user/login";
    }else{
        //获取用户信息
        var urlInfo= basePath + "mineServlet";
        var dataJsonInfo = {
            'operation': 'userinfo',
            'u': uid,
            'sub_': 1
        };
        Http.post(urlInfo,dataJsonInfo,true).success(function (data) {
           //console.log(data);
            $scope.star_level=data.star_level;//会员等级
            $scope.union_level=data.union_level;//公会身份
            if(data.union=="" || data.union==0){
                alert("您还没有公会！");
                //$state.go("mine.mine");
				$state.go("mine.mine");
            }else{
                //获取未读世界帖子数
                var urlNum= basePath + "dayNewsListServlet";
                var dataJsonNum = {
                    'uid': uid,
                    'type': '3',
                    'operation': 'newsNumber'
                };
                Http.post(urlNum,dataJsonNum,true).success(function (data) {
                    // console.log(data);
                    $scope.postNum=data;
                    if($scope.postNum>0){
                        $scope.readStatus1=true;
                    }
                });

                //获取未读世界私信数
                var urlletter= basePath + "dayNewsListServlet";
                var dataJsonLetter = {
                    'uid': uid,
                    'type': '3',
                    'unionId': data.union,
                    'block': data.type,
                    'operation': 'letterNumber'
                };
                Http.post(urlletter,dataJsonLetter,true).success(function (data) {
                    // console.log(data);
                    $scope.letterNum=data;
                    if($scope.letterNum>0){
                        $scope.readStatus=true;
                    }
                });
            }

        });

    }

});
//世界招聘
app.controller('wordJobController', function ($scope, Common, Http, $state, $location, $ionicTabsDelegate, $rootScope, $timeout,$stateParams) {
    var uid = localStorage.getItem("uid_local");//用户加密的id
    var host = Common.curState();
    $scope.domain=domain;
    //上拉加载初始化 开始方法为真
    $scope.page = 1;
    $scope.canLoadMore = false;
    $scope.pagecount = 0;
    var id=$stateParams.id;//1区 2世界
    $scope.host = host;
    var unionId="";
    if(uid=="" || uid==null){
        location.href="#/user/login";
    }else{
        //获取用户信息
        var urlInfo= basePath + "mineServlet";
        var dataJsonInfo = {
            'operation': 'userinfo',
            'u': uid,
            'sub_': 1
        };
        Http.post(urlInfo,dataJsonInfo,true).success(function (data) {
            //console.log(data);
            $scope.union_level=data.union_level;//公会身份
            $scope.start_level=data.star_level;
            var myplartform=data.type;
            if(data.union=="" || data.union==0){
                alert("您还没有公会！");
                $state.go("mine.mine");
            }else{
                //获取招聘信息列表
                $scope.canLoadMore = true;
                $scope.moreinfo = function () {
                    var urlBlock = basePath + "dayNewsListServlet";
                    var dataJsonBlock = {
                        'type': id,
                        'platform': myplartform,
                        'operation': 'recruitment'
                    };

                    var data = ajaxSubmit(urlBlock, dataJsonBlock);
                     //console.log(data);
                    $scope.radio=data.areaPostList;
                    if (data.code == "200" ) {
                        $scope.postList = data.areaPostList;
                    }
                    if(data.code == "200"){
                        $scope.pagecount = data.pageCount;
                    }
                    if ($scope.pagecount <= $scope.page) {
                        $scope.canLoadMore = false;

                    } else {
                        $scope.canLoadMore = true;
                    }
$scope.$broadcast('scroll.infiniteScrollComplete');
                }
                $scope.loadmore = function () {//上拉加载调用函数
                    $scope.moreinfo();
                    $scope.page = $scope.page + 1;

                }
            }

        });

    }

});
//世界贴吧
app.controller('wordPostController', function ($scope, Common, Http, $state, $location, $ionicTabsDelegate, $rootScope, $timeout,$stateParams) {
    var uid = localStorage.getItem("uid_local");//用户加密的id
    var host = Common.curState();

    $scope.showfbpost=function(){//发世界贴
        location.href="index.html#/word/setUnionPost/3/3"
    }
    $scope.domain=domain;
    //上拉加载初始化 开始方法为真
    $scope.page = 1;
    $scope.canLoadMore = false;
    $scope.pagecount = 0;
    var id=$stateParams.id;//1区 2世界
    $scope.host = host;
    var unionId="";
    if(uid=="" || uid==null){
        location.href="#/user/login";
    }else{
        //获取用户信息
        var urlInfo= basePath + "mineServlet";
        var dataJsonInfo = {
            'operation': 'userinfo',
            'u': uid,
            'sub_': 1
        };
        Http.post(urlInfo,dataJsonInfo,true).success(function (data) {
            $scope.union_level=data.union_level;//公会身份
            $scope.start_level=data.star_level;//会员等级
            $scope.block=data.block;
            var platform=data.type;
            var unions=data.union;
            if(data.union=="" || data.union==0){
                alert("您还没有公会！");
                $state.go("mine.mine");
            }else{
                //获取招聘信息列表
                $scope.canLoadMore = true;
                $scope.moreinfo = function () {
                    //获取世界帖子列表
                    var urlBlock = basePath + "dayNewsListServlet";
                    var dataJsonBlock = {
                        'page': $scope.page,
                        'platform': platform,
                        'uid': uid,
                        'area':  $scope.block,
                        'union': unions,
                        'type': '3',
                        'operation': 'blockPostList'
                    };

                    var data = ajaxSubmit(urlBlock, dataJsonBlock);
                   // console.log(data);
                    if (data.code == "200" ) {
                        $scope.postList = data.areaPostList;
                    }
                    if(data.code == "200"){
                        $scope.pagecount = data.pageCount;
                    }
                    if ($scope.pagecount <= $scope.page) {
                        $scope.canLoadMore = false;

                    } else {
                        $scope.canLoadMore = true;
                    }
$scope.$broadcast('scroll.infiniteScrollComplete');
                }
                $scope.loadmore = function () {//上拉加载调用函数
                    $scope.moreinfo();
                    $scope.page = $scope.page + 1;

                }
            }

        });

    }

});
//世界私信
app.controller('wordLetterController', function ($scope, Common, Http, $state, $location, $ionicTabsDelegate, $rootScope, $timeout,$stateParams) {
    var uid = localStorage.getItem("uid_local");//用户加密的id
    var host = Common.curState();
    $scope.domain=domain;
    //上拉加载初始化 开始方法为真
    $scope.page = 1;
    $scope.canLoadMore = false;
    $scope.pagecount = 0;
    var id=$stateParams.id;//1区 2世界
    $scope.host = host;
    var unionId="";
    if(uid=="" || uid==null){
        location.href="#/user/login";
    }else{
        //获取用户信息
        var urlInfo= basePath + "mineServlet";
        var dataJsonInfo = {
            'operation': 'userinfo',
            'u': uid,
            'sub_': 1
        };
        Http.post(urlInfo,dataJsonInfo,true).success(function (data) {
            //console.log(data);
            $scope.union_level=data.union_level;//公会身份
            $scope.start_level=data.star_level;//会员等级
            $scope.block=data.block;
            if(data.union=="" || data.union==0){
                alert("您还没有公会！");
                $state.go("mine.mine");
            }else{
                var urlLetter = basePath + "getMessageServlet";
                var dataJsonLetter = {
                    'unionId': data.union,
                    'uid': uid,
                    'type': '3',
                    'operation': 'getUnionLetter'
                };
                Http.post(urlLetter, dataJsonLetter, true).success(function (data) {
                    $scope.letterPerson=data.letterPersonList;
                    //console.log(data);
                });

                $('#pp').keydown(function(e){
                    var content=$("#search").val();
                    var urlBlock = basePath + "getMessageServlet";
                    var dataJsonBlock = {
                        'unionId': data.union,
                        'uid': uid,
                        'type': '3',
                        'search':content,
                        'operation': 'getUnionLetter'
                    };
                    Http.post(urlBlock, dataJsonBlock, true).success(function (data) {
                        // console.log(data);
                        $scope.letterPerson=data.letterPersonList;
                    });
                });
            }

        });

    }

});
//陌生公会查询
app.controller('strangeController', function ($scope, Common, Http, $state, $location, $ionicTabsDelegate, $rootScope, $timeout,$stateParams) {
    var uid = localStorage.getItem("uid_local");//用户加密的id
    var host = Common.curState();
    $scope.domain=domain;
    //上拉加载初始化 开始方法为真
    $scope.page = 1;
    $scope.canLoadMore = false;
    $scope.pagecount = 0;
    var id=$stateParams.id;//1区 2世界
    $scope.host = host;
    var unionId="";
    if(uid=="" || uid==null){
        location.href="#/user/login";
    }else{
        //获取用户信息
        var urlInfo= basePath + "mineServlet";
        var dataJsonInfo = {
            'operation': 'userinfo',
            'u': uid,
            'sub_': 1
        };
        Http.post(urlInfo,dataJsonInfo,true).success(function (data) {
           // console.log(data);
            $scope.union_level=data.union_level;//公会身份
            $scope.start_level=data.star_level;//会员等级
            $scope.unionId=data.union;
            $scope.block=data.block;
            var platform=data.type;//平台
            $scope.platform=data.platform;
            if(data.union=="" || data.union==0){
                alert("您还没有公会！");
                $state.go("mine.mine");
            }else{
           /*     $('#pp').keydown(function(e){
                    var content=$("#search").val();
                    var urlBlock = basePath + "getMessageServlet";
                    var dataJsonBlock = {
                        'search':content,
                        'platform':platform,
                        'unionId':data.union,
                        'operation': 'searchUnion'
                    };
                    Http.post(urlBlock, dataJsonBlock, true).success(function (data) {
                       // console.log(data);
                        $scope.union=data.strangeUnionList;
                    });
                });*/
            $scope.id=function(){
                var content=$("#search").val();
                var urlBlock = basePath + "getMessageServlet";
                var dataJsonBlock = {
                    'search':content,
                    'platform':platform,
                    'unionId':data.union,
                    'operation': 'searchUnion'
                };
                Http.post(urlBlock, dataJsonBlock, true).success(function (data) {
                    // console.log(data);
                    $scope.union=data.strangeUnionList;
                });
            }



            $scope.id1=function(){
                var content=$("#search1").val();
                content=encodeURI(content);
                var urlBlock = basePath + "getMessageServlet";
                var dataJsonBlock = {
                    'search1':content,
                    'platform':platform,
                    'unionId':data.union,
                    'operation': 'searchUnion'
                };
               // console.log(dataJsonBlock);
                Http.post(urlBlock, dataJsonBlock, true).success(function (data) {
                    // console.log(data);
                    $scope.union=data.strangeUnionList;
                });
}


             /*
                $scope.search=function(){//精确
                    alert(1)
                    var content=$("#search").val();
                    var urlBlock = basePath + "getMessageServlet";
                    var dataJsonBlock = {
                        'search':content,
                        'platform':platform,
                        'unionId':data.union,
                        'operation': 'searchUnion'
                    };
                    Http.post(urlBlock, dataJsonBlock, true).success(function (data) {
                        // console.log(data);
                        $scope.union=data.strangeUnionList;
                    });
                }
                $scope.search1=function(){//模糊
                    alert(1)
                    var content=$("#search1").val();
                    var urlBlock = basePath + "getMessageServlet";
                    var dataJsonBlock = {
                        'search':content,
                        'platform':platform,
                        'unionId':data.union,
                        'operation': 'searchUnion'
                    };
                    Http.post(urlBlock, dataJsonBlock, true).success(function (data) {
                        // console.log(data);
                        $scope.union=data.strangeUnionList;
                    });
                }*/

            }

        });

    }

});
//陌生公会私信
app.controller('strangeLetterController', function ($scope, Common, Http, $state, $location, $ionicTabsDelegate, $rootScope, $timeout,$stateParams) {
    var uid = localStorage.getItem("uid_local");//用户加密的id
    var host = Common.curState();
    $scope.domain=domain;
    $scope.message={content:""};

    var userId=$stateParams.userId;
    $scope.host = host;
    var unionId="";
    if(uid=="" || uid==null){
        location.href="#/user/login";
    }else{
        //获取用户信息
        var urlInfo= basePath + "mineServlet";
        var dataJsonInfo = {
            'operation': 'userinfo',
            'u': uid,
            'sub_': 1
        };
        Http.post(urlInfo,dataJsonInfo,true).success(function (data) {
            //console.log(data);
            $scope.union_level=data.union_level;//公会身份
            $scope.start_level=data.star_level;//会员等级
            $scope.block=data.block;
            if(data.union=="" || data.union==0){
                alert("您还没有公会！");
                $state.go("mine.mine");
            }else{
                $scope.commentMessage=function(){
                    if($scope.message.content==""){
                        alert("请输入内容！");
                        return;
                    }else{
                        var urlBlock = basePath + "setUnionMessageServlet";
                        var dataJsonBlock = {
                            'content':$scope.message.content,
                            'block':data.type,
                            'answer':userId,//被私信人
                            'uid':uid,// 我  私信人
                            'unionId':data.union,// 我的公会id
                            'operation': 'strangeLetter'
                        };
                        Http.post(urlBlock, dataJsonBlock, true).success(function (data) {
                            //console.log(data);
                            alert(data.message);
                            location.href =  $scope.host+"strange";
                        });
                    }
                }



            }

        });

    }

});
//商业街区 帖子列表
app.controller('shopStreetController', function ($scope, Common, Http, $state, $location, $ionicTabsDelegate, $rootScope, $timeout,$stateParams) {
    var uid = localStorage.getItem("uid_local");//用户加密的id
    var host = Common.curState();
    $scope.domain=domain;
    //上拉加载初始化 开始方法为真
    $scope.page = 1;
    $scope.canLoadMore = false;
    $scope.pagecount = 0;

    var userId=$stateParams.userId;
    $scope.host = host;
    var unionId="";
    $scope.street={content:""};
    if(uid=="" || uid==null){
        location.href="#/user/login";
    }else{
        //获取用户信息
        var urlInfo= basePath + "mineServlet";
        var dataJsonInfo = {
            'operation': 'userinfo',
            'u': uid,
            'sub_': 1
        };
        Http.post(urlInfo,dataJsonInfo,true).success(function (data) {
            //console.log(data);
            $scope.union_level=data.union_level;//公会身份
            $scope.start_level=data.star_level;//会员等级
            $scope.block=data.block;
            $scope.shop=data.shop;
            if(data.union=="" || data.union==0){
                alert("您还没有公会！");
                location.href="#/user/login";
            }else{
                //获取商业街区单片文章
                var urlBlock = basePath + "getMessageServlet";
                var dataJsonBlock = {
                    'operation': 'shopStreet'
                };
                Http.post(urlBlock, dataJsonBlock, true).success(function (data) {
                   // console.log(data);
                    $scope.street.content=data.content;
                });

                //获取商业街区帖子
                $scope.canLoadMore = true;
                $scope.moreinfo = function () {
                    //获取世界帖子列表
                    var urlBlock = basePath + "dayNewsListServlet";
                    var dataJsonBlock = {
                        'page': $scope.page,
                        'operation': 'shopPost'
                    };

                    var data = ajaxSubmit(urlBlock, dataJsonBlock);
                    //console.log(data);
                    if (data.code == "200" ) {
                        $scope.postList = data.areaPostList;
                    }
                    if(data.code == "200"){
                        $scope.pagecount = data.pageCount;
                    }
                    if ($scope.pagecount <= $scope.page) {
                        $scope.canLoadMore = false;

                    } else {
                        $scope.canLoadMore = true;
                    }
$scope.$broadcast('scroll.infiniteScrollComplete');
                }
                $scope.loadmore = function () {//上拉加载调用函数
                    $scope.moreinfo();
                    $scope.page = $scope.page + 1;

                }
            }

        });

    }

});
//商业街区 帖子详情
app.controller('shopDetailController', function ($scope, Common, Http, $state, $location, $ionicTabsDelegate, $rootScope, $timeout,$stateParams) {
    var uid = localStorage.getItem("uid_local");//用户加密的id
    var host = Common.curState();
    $scope.domain=domain;

    var postId=$stateParams.id;//帖子id
    $scope.host = host;
    $scope.postId = postId;
    var unionId="";
    if(uid=="" || uid==null){
        location.href="#/user/login";
    }else{
        //获取用户信息
        var urlInfo= basePath + "mineServlet";
        var dataJsonInfo = {
            'operation': 'userinfo',
            'u': uid,
            'sub_': 1
        };
        Http.post(urlInfo,dataJsonInfo,true).success(function (data) {
            //console.log(data);
            $scope.union_level=data.union_level;//公会身份
            $scope.start_level=data.star_level;//会员等级
            $scope.block=data.block;
            if(data.union=="" || data.union==0){
                alert("您还没有公会！");
                l$state.go("mine.mine");
            }else{
                //获取商业街区帖子详情
                var urlBlock = basePath + "getMessageServlet";
                var dataJsonBlock = {
                    'postId':postId,
                    'operation': 'shopDetail'
                };
                Http.post(urlBlock, dataJsonBlock, true).success(function (data) {
                     console.log(data);
                    $scope.data=data;
                });

                //阅读数+1
                var urlRead= basePath + "readDayNewsServlet";
                var dataJsonRead = {
                    'uid': uid,
                    'newsId': postId,
                    'operation': 'readPost'
                };
                Http.post(urlRead,dataJsonRead,true).success(function (data) {
                   // console.log(data);
                });
            }

        });

    }

});
//商业街区 发帖
app.controller('setShopPostController', function ($scope, Common, Http, $state, $location, $ionicTabsDelegate, $rootScope, $timeout,$stateParams) {
    var uid = localStorage.getItem("uid_local");//用户加密的id
    var host = Common.curState();
    $scope.domain=domain;
    $scope.set={title:"",content:""};
    $scope.host = host;
    var unionId="";
    if(uid=="" || uid==null){
        location.href="#/user/login";
    }else{
        //获取用户信息
        var urlInfo= basePath + "mineServlet";
        var dataJsonInfo = {
            'operation': 'userinfo',
            'u': uid,
            'sub_': 1
        };
        Http.post(urlInfo,dataJsonInfo,true).success(function (data) {
            //console.log(data);
            $scope.union_level=data.union_level;//公会身份
            $scope.start_level=data.star_level;//会员等级
            $scope.block=data.block;
            $scope.gag=data.gag;
            if(data.union=="" || data.union==0){
                alert("您还没有公会！");
                $state.go("mine.mine");
            }else if(data.shop==0){
                alert("您没有发帖权限！");
                return;
            }else{
                //商业街区发帖
                $scope.propose=function(){
                    if($scope.gag==1){
                        alert("您已被禁言！");
                        return;
                    }else if($scope.set.title==""){
                        alert("请输入标题！");
                        return;
                    }else if($scope.set.content==""){
                        alert("请输入信息！");
                        return;
                    }else{
                        var urlBlock = basePath + "setUnionMessageServlet";
                        var dataJsonBlock = {
                            'uid': uid,
                            'block':data.block,
                            'unionId':data.union,
                            'title':encodeURI($scope.set.title),
                            'content':encodeURI($scope.set.content),
                            'operation': 'setShopPost'
                        };
                        Http.post(urlBlock, dataJsonBlock, true).success(function (data) {
                           alert(data.message);
                            window.location.href = $scope.host+"shopStreet";
                        });
                    }
                }



            }

        });

    }

});
//商业街区私信
app.controller('shopLetterController', function ($scope, Common, Http, $state, $location, $ionicTabsDelegate, $rootScope, $timeout,$stateParams) {
    var uid = localStorage.getItem("uid_local");//用户加密的id
    var host = Common.curState();
    $scope.domain=domain;
    $scope.message={content:""};

    var userId=$stateParams.userId;
    var id=$stateParams.id;
    $scope.host = host;
    var unionId="";
    if(uid=="" || uid==null){
        location.href="#/user/login";
    }else{
        //获取用户信息
        var urlInfo= basePath + "mineServlet";
        var dataJsonInfo = {
            'operation': 'userinfo',
            'u': uid,
            'sub_': 1
        };
        Http.post(urlInfo,dataJsonInfo,true).success(function (data) {
            //console.log(data);
            $scope.union_level=data.union_level;//公会身份
            $scope.start_level=data.star_level;//会员等级
            $scope.block=data.block;
            if(data.union=="" || data.union==0){
                alert("您还没有公会！");
                $state.go("mine.mine");
            }else{
                $scope.commentMessage=function(){
                    if($scope.message.content==""){
                        alert("请输入内容！");
                        return;
                    }else{
                        var urlBlock = basePath + "setUnionMessageServlet";
                        var dataJsonBlock = {
                            'content':$scope.message.content,
                            'block':data.type,
                            'answer':userId,//被私信人
                            'uid':uid,// 我  私信人
                            'unionId':data.union,// 我的公会id
                            'start_level':$scope.start_level,// 我的会员等级
                            'operation': 'shopLetter'
                        };
                        Http.post(urlBlock, dataJsonBlock, true).success(function (data) {
                           // console.log(data);
                            alert(data.message);
                            location.href =  $scope.host+"shopDetail/"+id;
                        });
                    }
                }



            }

        });

    }

});
//世界梦境高分视频 类别列表
app.controller('wordVideoController', function ($scope, Common, Http, $state, $location, $ionicTabsDelegate, $rootScope, $timeout,$stateParams) {
    var uid = localStorage.getItem("uid_local");//用户加密的id
    var host = Common.curState();
    $scope.domain=domain;
    $scope.host = host;
    var unionId="";
    $scope.seelist=function(id){//查看列表
        location.href=$scope.host+"videoList/"+id;
    }
    if(uid=="" || uid==null){
        location.href="#/user/login";
    }else{
        //获取用户信息
        var urlInfo= basePath + "mineServlet";
        var dataJsonInfo = {
            'operation': 'userinfo',
            'u': uid,
            'sub_': 1
        };
        Http.post(urlInfo,dataJsonInfo,true).success(function (data) {
            //console.log(data);
            $scope.union_level=data.union_level;//公会身份
            $scope.start_level=data.star_level;//会员等级
            $scope.block=data.block;
            if(data.union=="" || data.union==0){
                alert("您还没有公会！");
                $state.go("mine.mine");
            }else{

                        //获取梦境高分视频类别
                        var urlBlock = basePath + "getMessageServlet";
                        var dataJsonBlock = {
                            'operation': 'videoType'
                        };
                        Http.post(urlBlock, dataJsonBlock, true).success(function (data) {
                             //console.log(data);
                            $scope.videoType=data.videoType;
                        });




            }

        });

    }

});
//世界梦境高分视频 视频列表
app.controller('videoListController', function ($scope, Common, Http, $state, $location, $ionicTabsDelegate, $rootScope, $timeout,$stateParams) {
    var uid = localStorage.getItem("uid_local");//用户加密的id
    var host = Common.curState();
    $scope.domain=domain;
    $scope.host = host;
    var videoId=$stateParams.videoId;
    var unionId="";
    if(uid=="" || uid==null){
        location.href="#/user/login";
    }else{
        //获取用户信息
        var urlInfo= basePath + "mineServlet";
        var dataJsonInfo = {
            'operation': 'userinfo',
            'u': uid,
            'sub_': 1
        };
        Http.post(urlInfo,dataJsonInfo,true).success(function (data) {
            //console.log(data);
            $scope.union_level=data.union_level;//公会身份
            $scope.start_level=data.star_level;//会员等级
            $scope.block=data.block;
            if(data.union=="" || data.union==0){
                alert("您还没有公会！");
                $state.go("mine.mine");
            }else{

                //获取梦境高分视频列表
                var urlBlock = basePath + "getMessageServlet";
                var dataJsonBlock = {
                    'videoType': videoId,
                    'operation': 'videoList'
                };
                Http.post(urlBlock, dataJsonBlock, true).success(function (data) {
                    // console.log(data);
                    $scope.video=data.videoList;
                });




            }

        });

    }

});
//世界梦境高分视频 视频详细
app.controller('videoDetailController', function ($sce,$scope, Common, Http, $state, $location, $ionicTabsDelegate, $rootScope, $timeout,$stateParams) {
    var uid = localStorage.getItem("uid_local");//用户加密的id
    var host = Common.curState();
    $scope.domain=domain;
    $scope.host = host;
    $rootScope.val=true;
    var videoId=$stateParams.videoId;
    var unionId="";
    $scope.video={content:""};

    if(uid=="" || uid==null){
        location.href="#/user/login";
    }else{
        //获取用户信息
        var urlInfo= basePath + "mineServlet";
        var dataJsonInfo = {
            'operation': 'userinfo',
            'u': uid,
            'sub_': 1
        };
        Http.post(urlInfo,dataJsonInfo,true).success(function (data) {
            //console.log(data);
            $scope.union_level=data.union_level;//公会身份
            $scope.start_level=data.star_level;//会员等级
            $scope.block=data.block;
            if(data.union=="" || data.union==0){
                alert("您还没有公会！");
                $state.go("mine.mine");
            }else{

                //获取梦境高分视频详情
                var urlBlock = basePath + "getMessageServlet";
                var dataJsonBlock = {
                    'videoId': videoId,
                    'operation': 'videoDetail'
                };
                Http.post(urlBlock, dataJsonBlock, true).success(function (data) {
                     console.log(data);
                    $scope.pic=data;
                    $scope.video.content=data.videoContent;
                    $scope.video.content=$scope.video.content.replace(/\/attached\//,domain+"attached/");
                    $scope.myURL1 =data.videoLink;
                    $scope.myURL =$sce.trustAsResourceUrl(data.videoLink); //URL 为全链接（$sce.trustAsResourceUrl("http://" + url)）
                 //   $scope.task.url =$sce.trustAsResourceUrl($scope.domain+data.videoLink);
                  //  console.log($scope.myURL);
                    $(document).ready(function(){

                        $("#jquery_jplayer_1").jPlayer({
                            ready: function () {
                                $(this).jPlayer("setMedia", {
                                    title: "大队长会所",
                                    m4v: $scope.myURL1
                                });
                            },
                            play: function() { // To avoid multiple jPlayers playing together.
                                $(this).jPlayer("pauseOthers");
                            },
                            swfPath: "http://www.youxishequ.com28.cn:8888/community/jslib",
                            supplied: "webmv, ogv, m4v",
                            globalVolume: true,
                            useStateClassSkin: true,
                            autoBlur: false,
                            smoothPlayBar: true,
                            keyEnabled: true
                        });




                    });
                });

                //阅读数+1
                var urlRead= basePath + "readDayNewsServlet";
                var dataJsonRead = {
                    'uid': uid,
                    'videoId': videoId,
                    'operation': 'readVideo'
                };
                Http.post(urlRead,dataJsonRead,true).success(function (data) {
                });
                $scope.del=function(){
                    //删除
                    var urldel = basePath + "setUnionMessageServlet";
                    var dataJsondel = {
                        'newsId': videoId,
                        'operation': 'delVideo'
                    };
                    Http.post(urldel, dataJsondel, true).success(function (data) {
                        //console.log(data);
                        alert(data.message);
                        location.href =  $scope.host+"unionVideo";
                    });
                }

            }

        });

    }

});

//s游戏帐号转让
app.controller('sellController', function ($scope, Common, Http, $state, $location, $ionicTabsDelegate, $rootScope, $timeout,$stateParams,$interval) {
    var uid = localStorage.getItem("uid_local");//用户加密的id
    var host = Common.curState();
    $scope.domain=domain;
    $scope.host = host;
    $scope.index=$stateParams.type;
    $scope.uid=uid;
    var unionId="";
    //图片预览


    var timer = $interval( function(){
        $("#up").uploadPreview({ Img: "jiahao", Width: 120, Height: 120 });
    },1000);

    if(uid=="" || uid==null){
        location.href="#/user/login";
    }else{
        //获取用户信息
        var urlInfo= basePath + "mineServlet";
        var dataJsonInfo = {
            'operation': 'userinfo',
            'u': uid,
            'sub_': 1
        };
        Http.post(urlInfo,dataJsonInfo,true).success(function (data) {
            //console.log(data);
            $scope.union_level=data.union_level;//公会身份
            $scope.start_level=data.star_level;//会员等级
            $scope.block=data.block;
            $scope.gag=data.gag;
            $scope.platform=data.type;//平台
            if(data.union=="" || data.union==0){
                alert("您还没有公会！");
                $state.go("mine.mine");
            }else{

                //切换特效
                $scope.letter=function(index){
                    $scope.index=index;
                    if(index==0){
                        $scope.class0="active";
                        $scope.class1="";
                    }else if(index==1){
                        $scope.class1="active";
                        $scope.class0="";
                    }
                }
                $scope.letter($scope.index);



                //获取卖号的信息列表
                var urlBlock = basePath + "getMessageServlet";
                var dataJsonBlock = {
                    'platform':  $scope.platform,
                    'operation': 'sell'
                };
                Http.post(urlBlock, dataJsonBlock, true).success(function (data) {
                   // console.log(data);
                    $scope.information=data.recruitDetail;
                });
                //卖号
                $scope.message = {content:"",title:""};

                $scope.check=function(){
					$("#remark").val(encodeURI($scope.message.content));
                    var pic=$("#up").val();
                    if($scope.gag==1){
                        alert("您已被禁言！");
                        return;
                    }else if ($scope.start_level<3){
                        alert("您没有发布权限！");
                        return;
                    }else if($scope.message.title == "") {
                        alert("请填写价格！");
                        return;
                    } else if ($scope.message.content == "") {
                        alert("请填写内容！");
                        return;
                    }else if(pic=="") {
                        alert("上传图片！");
                        return;
                    }else{
                        var url = basePath + "sellPicUploadServlet";
                        var formData = new FormData($("#form_sub")[0]);
                        var jsonRet = ajaxSubmitForm(url, formData);
                        var code = jsonRet.code;
                        var message = jsonRet.message;
                        alert(message);
                        if (code == 200) {
                                alert("发布成功！");
                            $scope.letter(0);
                            /*$scope.index=1;
                            $scope.class0="active";
                            $scope.class1="";*/

                        }
                    }
                }

            }

        });

    }

});
//游戏帐号转让 详情
app.controller('sellDetailController', function ($scope, Common, Http, $state, $location, $ionicTabsDelegate, $rootScope, $timeout,$stateParams,$interval) {
    var uid = localStorage.getItem("uid_local");//用户加密的id
    var host = Common.curState();
    $scope.domain=domain;
    $scope.host = host;
    $scope.sellId=$stateParams.id;
    $scope.uid=uid;
    var unionId="";

    if(uid=="" || uid==null){
        location.href="#/user/login";
    }else{
        //获取用户信息
        var urlInfo= basePath + "mineServlet";
        var dataJsonInfo = {
            'operation': 'userinfo',
            'u': uid,
            'sub_': 1
        };
        Http.post(urlInfo,dataJsonInfo,true).success(function (data) {
            //console.log(data);
            $scope.union_level=data.union_level;//公会身份
            $scope.start_level=data.star_level;//会员等级
            $scope.block=data.block;
            if(data.union=="" || data.union==0){
                alert("您还没有公会！");
                $state.go("mine.mine");
            }else{

                //获取卖号的信息列表
                var urlBlock = basePath + "getMessageServlet";
                var dataJsonBlock = {
                    'sellId':  $scope.sellId,
                    'operation': 'sellDetail'
                };
                Http.post(urlBlock, dataJsonBlock, true).success(function (data) {
                  //  console.log(data);
                    $scope.sell=data;
                });

            }

        });

    }

});
//帐号转让私信
app.controller('sellLetterController', function ($scope, Common, Http, $state, $location, $ionicTabsDelegate, $rootScope, $timeout,$stateParams) {
    var uid = localStorage.getItem("uid_local");//用户加密的id
    var host = Common.curState();
    $scope.domain=domain;
    $scope.message={content:""};

    var userId=$stateParams.userId;
    var id=$stateParams.id;
    $scope.host = host;
    var unionId="";
    if(uid=="" || uid==null){
        location.href="#/user/login";
    }else{
        //获取用户信息
        var urlInfo= basePath + "mineServlet";
        var dataJsonInfo = {
            'operation': 'userinfo',
            'u': uid,
            'sub_': 1
        };
        Http.post(urlInfo,dataJsonInfo,true).success(function (data) {
            //console.log(data);
            $scope.union_level=data.union_level;//公会身份
            $scope.start_level=data.star_level;//会员等级
            $scope.block=data.block;
            if(data.union=="" || data.union==0){
                alert("您还没有公会！");
                $state.go("mine.mine");
            }else{
                $scope.commentMessage=function(){
                    if($scope.message.content==""){
                        alert("请输入内容！");
                        return;
                    }else if( $scope.start_level<3){
                        alert("您没有私信权限！");
                        return;
                    }else{
                        var urlBlock = basePath + "setUnionMessageServlet";
                        var dataJsonBlock = {
                            'content':$scope.message.content,
                            'block':data.type,
                            'answer':userId,//被私信人
                            'uid':uid,// 我  私信人
                            'unionId':data.union,// 我的公会id
                            'start_level':$scope.start_level,// 我的会员等级
                            'operation': 'sellLetter'
                        };
                        Http.post(urlBlock, dataJsonBlock, true).success(function (data) {
                            // console.log(data);
                            alert(data.message);
                            location.href =  $scope.host+"sellDetail/"+id;
                        });
                    }
                }



            }

        });

    }

});