﻿
//ajax提交二级制  var formData = new FormData($("#yourformid")[0]);
function ajaxSubmitForm(url,formData) {
    var subResult = {code:0,message:''};
    $.ajax({
		url: url ,
		type: 'POST',
		data: formData,
		async: false,//同步执行
		cache: false,
		contentType: false,
		processData: false,
		dataType: "json",
        success: function(data) { // 请求成功后处理函数。
        	subResult = data; // 成功
        },
    	error:function(){
        	subResult = {code:0,message:'ajax error'}
        }
    });
    return subResult;
}


//jquery-ajax发送post请求,同步提交,返回json对象
function ajaxSubmit(url, dataJson) {
    var subResult = {code:0,message:''};
    $.ajax({
        async: false,//同步执行
        // false为同步true标识异步
        cache: false,
        type: 'POST',
        dataType: "json",
        url: url,
        data: dataJson,
        success: function(data) { // 请求成功后处理函数。
        	subResult = data; // 成功
        },
    	error:function(){
        	subResult = {code:0,message:'ajax error'}
        }
    });
    //console.log(subResult);
    return subResult;
}

// 接收参数
function GetQueryString(name) {
    var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)");
    //var r = window.location.href.substr(1).match(reg);
    //if (r != null) return unescape(r[2]);
    //return null;
  try{
    var uri=window.location.href;
    if(uri!=null && uri!=''){
      var ary=uri.split('?');
      if(ary!=null && ary.length==2) {
        var t=ary[1];
        if(t.indexOf("=")!=-1){
          var params= t.split("&");
          for(var i=0;i<params.length;i++) {
            var curPar=params[i].split("=");
            if(curPar[0]==name){
              return curPar[1];
            }
          }
          return "";
        }else{
          return "";
        }
      }else{
        return "";
      }
    }else{
      return "";
    }
  }catch(e){
    //console.log(e.message);
    return "";
  }
}

// 判断是安卓、苹果平台
function getAndroidOrIos() {
    var u = navigator.userAgent;
    var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Adr') > -1; // android终端
    var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); // ios终端
    if (isAndroid) {
        return "android";
    } else if (isiOS) {
        return "ios";
    } else {
        return "";
    }
}

// 判断是否是微信浏览器:true是微信
function isWxBrower() {
    var ua = navigator.userAgent.toLowerCase();
    if (ua.match(/MicroMessenger/i) == "micromessenger") {
        return true;
    } else {
        return false;
    }
}

// JS操作cookies方法!
function delCookie(name) {  
    var date = new Date();
    date.setTime(date.getTime() - 10000);
    document.cookie = name + "=; expire=" + date.toGMTString() + "; path=/";
}

//设置cookie
function setCookie(cname, cvalue, exdays) {
    var d = new Date();
    d.setTime(d.getTime() + (exdays*24*60*60*1000));
    var expires = "expires="+d.toUTCString();
    document.cookie = cname + "=" + cvalue + "; " + expires;
}

//获取cookie
function getCookie(name) {
    var arr, reg = new RegExp("(^| )" + name + "=([^;]*)(;|$)");
    if (arr = document.cookie.match(reg)) return unescape(arr[2]);
    else return null;
}

function trim(str) { // 删除左右两端的空格
    return str.replace(/(^\s*)|(\s*$)/g, "");
}

//验证全中文
function yzChina(tmp) {
    var reg = /^[\u4e00-\u9fa5]+$/;
    if (!reg.test(tmp)) {
        return false;
    } else {
        return true;
    }
}

//验证全英文
function yzEnglish(tmp) {
    var reg = /^[a-zA-Z]+$/;
    if (!reg.test(tmp)) {
        return false;
    } else {
        return true;
    }
}

//验证全数字
function yzNumber(tmp) {
    var reg = /^[0-9]+$/;
    if (!reg.test(tmp)) {
        return false;
    } else {
        return true;
    }
}

function yzChinaOrEnglish(tmp) {
    var reg = /^[A-Za-z\u4e00-\u9fa5]+$/
    if (!reg.test(tmp)) {
        return false;
    } else {
        return true;
    }
}

// 验证手机号码
function yzPhone(tmp) {
    var reg = /^1[8|7|5|4|3][0-9]\d{8}$/;
    if (!reg.test(tmp)) {
        return false;
    } else {
        return true;
    }
}

//验证固定电话
function yzTelPhone(tmp) {
    var reg = /^\d{3}-\d{8}|\d{4}-\d{7}$/;
	var reg2 = /^\d{3}\d{8}|\d{4}-\d{7}$/;
    if (!reg.test(tmp) && !reg2.test(tmp)) {
        return false;
    } else {
        return true;
    }
}

// 验证身份证
function yzIdCard(tmp) {
    var reg = /^(\d{15}$|^\d{18}$|^\d{17}(\d|X|x))$/; // 身份证
    if (!reg.test(tmp)) {
        return false;
    } else {
        return true;
    }
}

// 验证登录密码6-18位
function yzLogPass(tmp) {
    var reg = /\b(^[a-zA-Z0-9]{6,18}$)\b/;
    if (!reg.test(tmp)) {
        return false;
    } else {
        return true;
    }
}

// 验证邮箱地址
function yzEmail(tmp) {
    var reg =  /^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/; // 邮箱地址
    if (!reg.test(tmp)) {
        return false;
    } else {
        return true;
    }
}

//手机号模糊显示
function substringPhone(p){
	var p_s = "";
	if(p != null && p != "" && p.length >= 11){
		p_s = p.substring(0,3) + "****" + p.substring(7,11);
	}
	return p_s;
}

//邮箱号模糊显示
function substringEmail(e){
	var e_s = "";
	if(e.indexOf("@") > 0){
		e_s = e.substring(0,3) + "****" + e.substring(e.indexOf("@"),e.length);;
	}
	return e_s;
}

//字符串拆分，返回数组
function splitStr(str,zifu){
	var strs = new Array(); //定义一数组
	strs = str.split(zifu); //字符分割
	return strs;
}

//字符串截取、标题截取指定长度
function subStringTitle(tmp,num){
	if(tmp != null && tmp != ""){
		if(tmp.length > num){
			tmp = tmp.substring(0,num) + "...";
		}
	}
	return tmp;
}

//倒计时,返回json数据,public_time截止时间，返回分、秒、毫秒前两位。
function daoJiShiPublic(public_time) {
    //var EndTime = new Date(public_time);//手机上报错
	var EndTime = new Date(Date.parse(public_time.replace(/-/g,"/"))); //转换成Data();
    var NowTime = new Date(Date.parse(getServerTimeToLocaleString().replace(/-/g,"/")));
    var t = EndTime.getTime() - NowTime.getTime();
    var m = 0;
    var s = 0;
    var s_m_100 = t + "";

    if (t >= 0) {
        m = Math.floor(t / 1000 / 60 % 60);
        s = Math.floor(t / 1000 % 60);
        s_m_100 = s_m_100.substr(s_m_100.length - 3, 2); //截取毫秒前两位
    }
	m = m + "";
	s = s + "";
	if(m.length == 1){
		m = "0" + m;
	}
	if(s.length == 1){
		s = "0" + s;
	}
	var retJson = {fen:m,miao:s,s_m_100:s_m_100};
	return retJson;
}

//截掉时间最后的.0
function getTimeNo_0(t){
	if(t != null && t != ""){
		t = t.substring(0,t.indexOf("."));
	}
	return t;
}

//计算天数差的函数，通用
function  DateDiff(sDate1,  sDate2){    //sDate1和sDate2是2006-12-18格式
   var  aDate,  oDate1,  oDate2,  iDays
   aDate  =  sDate1.split("-")
   oDate1  =  new  Date(aDate[1]  +  '-'  +  aDate[2]  +  '-'  +  aDate[0])    //转换为12-18-2006格式
   aDate  =  sDate2.split("-")
   oDate2  =  new  Date(aDate[1]  +  '-'  +  aDate[2]  +  '-'  +  aDate[0])
   iDays  =  parseInt(Math.abs(oDate1  -  oDate2)  /  1000  /  60  /  60  /24)    //把相差的毫秒数转换为天数
   return  iDays
}

//日期（与当前时间比较） 通俗化  刚刚、1分钟前  1小时前 。。。传入时间类型 2016-01-01 10:01:11
function getTimeSimple(dateStr){
	var tmp = dateStr;

	var dateTime = new Date(Date.parse(dateStr.replace(/-/g,"/"))).getTime();; //转换成Data()-毫秒数;
	var nowTime = new Date(getServerTimeToLocaleString()).getTime();

	var miao_chai = parseInt((nowTime - dateTime) / 1000); //秒数之差
	var fen_chai = parseInt(miao_chai / 60); //分之差
	var shi_chai = parseInt(fen_chai / 60); //时之差
	var tian_chai = parseInt(shi_chai / 24); //天之差
	if(miao_chai < 60){
		tmp = "刚刚";
		return;
	}else if(fen_chai > 1 && fen_chai < 30){
		tmp = fen_chai + "分钟前";
		return;
	}else if(fen_chai > 30 && fen_chai < 60){
		tmp = "半小时前";
		return;
	}else if(shi_chai > 12 && shi_chai < 24){
		tmp = "半天前";
		return;
	}else if(tian_chai > 1 && tian_chai < 2){
		tmp = "昨天";
		return;
	}else if(tian_chai > 2 && tian_chai < 3){
		tmp = "前天";
		return;
	}
	return tmp;
}

////console.log("t:" + getTimeSimple("2016-06-03 18:01:01"));

//日期格式化
Date.prototype.Format = function (fmt) { //author: meizz
    var o = {
        "M+": this.getMonth() + 1, //月份
        "d+": this.getDate(), //日
        "h+": this.getHours(), //小时
        "m+": this.getMinutes(), //分
        "s+": this.getSeconds(), //秒
        "q+": Math.floor((this.getMonth() + 3) / 3), //季度
        "S": this.getMilliseconds() //毫秒
    };
    if (/(y+)/.test(fmt)) fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
    for (var k in o)
    if (new RegExp("(" + k + ")").test(fmt)) fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
    return fmt;
}

//判断文件是否存在 true 存在
function IsExistsFile(url){
	var statusSend = true;
	$.ajax({
		url: url ,
		type: 'POST',
		async: false,//同步执行
		cache: false,
		contentType: false,
		processData: false,
		dataType: "text",
		success: function(data) { // 请求成功后处理函数。
			statusSend = true; // 成功
		},
		error: function(XMLHttpRequest, textStatus, errorThrown) {
			//alert(XMLHttpRequest.status);
			//alert(XMLHttpRequest.readyState);
			//alert(textStatus);
			statusSend = false;//失败
		}
	});
	return statusSend;
}

//获取N位随机整数
function getRndNum(n){
    var rnd="";
    for(var i=0;i<n;i++){
        rnd += Math.floor(Math.random()*10);
    }
    return rnd;
}

//验证中文真实姓名
function IsChinese(str){
    reg=/^([\u4e00-\u9fa5]){2,7}$/;//只能是中文，长度为2-7位
    if(!reg.test(str)){
        return false;
    }else{
        return true;
    }
}

//验证车牌号
function isplatenumbers(str){
    //var re=/^[\u4e00-\u9fa5]{1}[A-Z]{1}[A-Z_0-9]{5}$/;
    var re=/^[\u4e00-\u9fa5]{1}[a-zA-Z]{1}[a-zA-Z_0-9]{5}$/;
    if(str.search(re)==-1) {
        return false;
    }else{
        return true;
    }
}

//获取用户信息
var useraccount=function(uid,Http,$rootScope){
    var url = basePath + "mineServlet";
    var dataJson = {'operation': 'userinfo', 'u': uid, 'sub_': 1};
    Http.post(url, dataJson, false).success(function (JSONObjRet) {
        if (JSONObjRet.code != 200) {
            alert(JSONObjRet.message);
            window.location.href = "index.html#/mine/login";
        }else{
            $rootScope.userinfo.phone=JSONObjRet.phone;
            $rootScope.userinfo.nickname=JSONObjRet.nickname;
            $rootScope.userinfo.user_id=JSONObjRet.user_id;
            $rootScope.userinfo.head=JSONObjRet.head;
            $rootScope.userinfo.star_level=JSONObjRet.star_level;
            $rootScope.userinfo.sex=JSONObjRet.sex;
            $rootScope.userinfo.type=JSONObjRet.type;
            $rootScope.userinfo.integral=JSONObjRet.integral;
            $rootScope.userinfo.block=JSONObjRet.block;
            $rootScope.userinfo.shop=JSONObjRet.shop;
            $rootScope.userinfo.gag=JSONObjRet.gag;
            $rootScope.userinfo.sms_phone=JSONObjRet.sms_phone;
            $rootScope.userinfo.union_level=JSONObjRet.union_level;
            $rootScope.userinfo.union=JSONObjRet.union;//工会id
            $rootScope.headpic=$rootScope.userinfo.head;
        }
    })
}
//调整货币精度
function cc(s){
    s=s.toString()
    if(/[^0-9\.]/.test(s)) return "invalid value";
    s=s.replace(/^(\d*)$/,"$1.");
    s=(s+"00").replace(/(\d*\.\d\d)\d*/,"$1");
    s=s.replace(".",",");
    var re=/(\d)(\d{3},)/;
    while(re.test(s))
        s=s.replace(re,"$1,$2");
    s=s.replace(/,(\d\d)$/,".$1");
    return  s.replace(/^\./,"0.")
}